Index: /trunk/plugins/TakeATour/language/el_GR/tour_privacy.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/el_GR/tour_privacy.lang.php	(revision 30506)
+++ /trunk/plugins/TakeATour/language/el_GR/tour_privacy.lang.php	(revision 30507)
@@ -38,2 +38,9 @@
 $lang['privacy_stp3'] = 'Αφιερώστε λίγο χρόνο για να διαβάσετε τις παρακάτω πληροφορίες.';
 $lang['privacy_stp24'] = 'Αυτή η περιήγηση τελείωσε. <p style="text-align:center"> Απολαύστε το Piwigo σας!</p> Αν σας αρέσει το Piwigo και θέλετε να μας στηρίξετε, μπορείτε να συνεισφέρετε βοηθώντας στις μεταφράσεις, με δωρεά, κλπ c. <a href="http://piwigo.org/basics/contribute" target="_blank"> Κάντε κλικ εδώ για να μας στηρίξετε </a>. Ευχαριστώ!';
+$lang['privacy_stp9'] = '... Και επιλέξτε την ενέργεια "Ποιος μπορεί να δει τις φωτογραφίες;». Τώρα μπορείτε να αλλάξετε το επίπεδο προστασίας των επιλεγμένων φωτογραφιών.<br><br>Η Αλλά μπορείτε επίσης να κάνετε το ίδιο για μια συγκεκριμένη φωτογραφία, στη σελίδα επεξεργασία της. Μπορείτε να αποκτήσετε πρόσβαση σε αυτό από το δημόσιο μέρος, ή από εδώ.<br><br>Τώρα, εγώ θα σας δείξω το άλλο σύστημα αδειών ανά λεύκωμα με βάση τις ομάδες και τους χρήστες.';
+$lang['privacy_stp6'] = 'Όταν φορτώνετε τις φωτογραφίες, μπορείτε να αλλάξετε το επίπεδο απορρήτου των ανεβασμένων φωτογραφιών εκεί ...';
+$lang['privacy_stp8'] = 'Επιλέξτε μία ή περισσότερες φωτογραφίες ...';
+$lang['privacy_stp7'] = '... Ή μπορείτε να το κάνετε αργότερα, εδώ στη Μαζική Διαχείριση σε Παγκόσμια λειτουργία.<br><br>Αυτή είναι στη σελίδα <em> Φωτογραφίες » Πρόσφατες φωτογραφίες</em>, έτσι ώστε το φίλτρο" Τελευταία εισαγωγή" έχει ρυθμιστεί.';
+$lang['privacy_stp5'] = 'Παρακάτω εξηγείται πώς μπορείτε να διαχειριστείτε τις ομάδες.<br>Τα εν λόγω δικαιώματα είναι μόνο για την πρόσβαση στις φωτογραφίες και στα λευκώματα, κατά την περιήγηση στο δημόσιο μέρος ή για τις εξωτερικές εφαρμογές. Θα δούμε αργότερα και άλλες προστασίες, αλλά τώρα ας κάνουμε λίγη εξάσκηση!';
+$lang['privacy_stp4'] = 'Οπότε έχουμε δύο συστήματα για τη διαχείριση των δικαιωμάτων πρόσβασης στις φωτογραφίες. Είναι ανεξάρτητα, ώστε να μπορείτε να δημιουργήσετε μια ομάδα που ονομάζεται οικογένεια, αλλά αυτή η ομάδα δεν έχει τίποτα να κάνει με το επίπεδο προστασίας των δικαιωμάτων της Οικογένεια. <br><br>Τα επίπεδα προστασίας εφαρμόζονται ανά φωτογραφία, και τα δικαιώματα της ομάδας / χρήστη εφαρμόζεται ανά άλμπουμ. Μπορείτε να χρησιμοποιήσετε και τα δύο ή μόνο το ένα σύστημα, το οποίο είναι ευέλικτο.<br><br>Η επόμενη καρτέλα είναι για την ομάδα διαχείριση.
+';