Index: trunk/language/de_DE/install.lang.php
===================================================================
--- trunk/language/de_DE/install.lang.php	(revision 30599)
+++ trunk/language/de_DE/install.lang.php	(revision 30600)
@@ -34,24 +34,24 @@
 $lang['User'] = 'Benutzer';
 $lang['user login given by your host provider'] = 'Benutzername Ihrer MySQL-Datenbank (wie von Ihrem Hosting-Provider angegeben)';
-$lang['user password given by your host provider'] = 'Passwort Ihrer MySQL-Datenbank (wie von Ihrem Hosting-Provider angegeben)';
+$lang['user password given by your host provider'] = 'Kennwort Ihrer MySQL-Datenbank (wie von Ihrem Hosting-Provider angegeben)';
 $lang['Database name'] = 'Name der Datenbank';
-$lang['also given by your host provider'] = 'ebenso von Ihrem Host-Provider bereitgestellt';
+$lang['also given by your host provider'] = 'Sowie von Ihrem Hosting-Provider bereitgestellt';
 $lang['Database table prefix'] = 'Präfix der Datenbanktabellen';
-$lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'wird den Namen der Datenbanktabellen vorangestellt, damit Sie Ihre Tabellen einfacher verwalten können';
-$lang['enter a login for webmaster'] = 'Geben Sie einen Benutzernamen für den Webmaster an';
+$lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'Prefix der Datenbanktabellen-Namen, damit Tabellen einfacher verwaltet werden können';
+$lang['enter a login for webmaster'] = 'Geben Sie den Benutzernamen des Webmasters an';
 $lang['webmaster login can\'t contain characters \' or "'] = 'Der Benutzername des Webmasters darf nicht die Zeichen \' und " enthalten';
-$lang['please enter your password again'] = 'Bitte geben Sie Ihr Passwort erneut ein';
+$lang['please enter your password again'] = 'Bitte geben Sie Ihr Kennwort erneut ein';
 $lang['Keep it confidential, it enables you to access administration panel'] = 'Administrator-Passwort';
 $lang['Password [confirm]'] = 'Passwort [Bestätigung]';
-$lang['verification'] = 'Wiederholen Sie das eingegebene Passwort';
+$lang['verification'] = 'Wiederholen Sie das eingegebene Kennwort';
 $lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Brauchen Sie Hilfe? Stellen Sie Ihre Fragen im <a href="%s"> Piwigo-Forum</ a>.';
-$lang['Visitors will be able to contact site administrator with this mail'] = 'Kontakt-E-Mail-Adresse (nur für angemeldete Benutzer sichtbar)';
-$lang['PHP 5 is required'] = 'PHP5.2 ist erforderlich';
+$lang['Visitors will be able to contact site administrator with this mail'] = 'Kontakt E-Mail-Adresse (nur für angemeldete Benutzer sichtbar)';
+$lang['PHP 5 is required'] = 'PHP 5.2 ist erforderlich';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Warscheinlich läuft auf Ihrem Server die PHP-Version %s.';
-$lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Piwigo wird versuchen, Ihre Konfiguration auf PHP5.2 umzustellen. Zu diesem Zweck wird eine .htaccess-Datei erstellt oder geändert.';
+$lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Piwigo wird versuchen, Ihre Konfiguration auf PHP 5.2 umzustellen. Zu diesem Zweck wird eine .htaccess-Datei erstellt oder geändert.';
 $lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Hinweis: Sie können Ihre Konfiguration selbst ändern. Starten Sie Piwigo danach neu.';
 $lang['Try to configure PHP 5'] = 'Versuche PHP5.2 zu konfigurieren';
-$lang['Sorry!'] = 'Sorry!';
-$lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo ist nicht in der Lage PHP5.2 zu konfigurieren.';
+$lang['Sorry!'] = 'Entschuldigung!';
+$lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo ist nicht in der Lage PHP 5.2 zu konfigurieren.';
 $lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "Sie können Kontakt zu ihrem Hosting-Provider aufnehmen und um Unterstützung bitten zur Umstellung auf PHP 5.";
 $lang['Hope to see you back soon.'] = 'Hoffentlich sehen wir uns bald wieder!';
@@ -60,9 +60,10 @@
 $lang['Creation of config file local/config/database.inc.php failed.'] = 'Die Erstellung der Datei local/config/database.inc.php ist fehlgeschlagen.';
 $lang['Download the config file'] = 'Lade die Konfigurationsdatei herunter';
-$lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Sie können die Konfigurationsdatei herunterladen und in das Verzeichnis local/config ihrer Installation hochladen.';
+$lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Sie können die Konfigurationsdatei herunterladen und in das Verzeichnis local/config Ihrer Installation hochladen.';
 $lang['Just another Piwigo gallery'] = 'Meine Piwigo-Fotogalerie';
 $lang['Welcome to my photo gallery'] = 'Willkommen!';
 $lang['Don\'t hesitate to consult our forums for any help : %s'] = 'Besuchen Sie unser Forum, wenn Sie Hilfe benötigen: %s';
-$lang['Welcome to your new installation of Piwigo!'] = 'Ihre neue Piwigo-Installation heißt sie willkommen!';
-$lang['You may referer to your hosting provider\'s support and see how you could switch to PHP 5 by yourself.'] = 'Sie können Kontakt mit Ihrem Provider aufnehmen und um Unterstützung bei der Umstellung auf PHP5.2 bitten.';
-$lang['localhost or other, supplied by your host provider'] = 'Local Host oder andere, bereit gestellt von deinem Provider.';
+$lang['Welcome to your new installation of Piwigo!'] = 'Ihre neue Piwigo-Installation heißt Sie willkommen!';
+$lang['You may referer to your hosting provider\'s support and see how you could switch to PHP 5 by yourself.'] = 'Sie können Kontakt mit Ihrem Provider aufnehmen und um Unterstützung bei der Umstellung auf PHP 5.2 bitten.';
+$lang['localhost or other, supplied by your host provider'] = 'Localhost oder weitere, bereitgestellt durch deinen Provider';
+$lang['Password ']['confirm'] = 'Kennwort [Bestätigung]';