Index: /extensions/GrumPluginClasses/js/ui.inputCheckbox.js
===================================================================
--- /extensions/GrumPluginClasses/js/ui.inputCheckbox.js	(revision 30621)
+++ /extensions/GrumPluginClasses/js/ui.inputCheckbox.js	(revision 30622)
@@ -96,5 +96,5 @@
                 function (event)
                 {
-                  privateMethods.setValue($this, $(this).attr('id'), $(this).attr('checked')?options.values.checked:options.values.unchecked,false);
+                  privateMethods.setValue($this, $(this).attr('id'), $(this).prop('checked')?options.values.checked:options.values.unchecked,false);
                 }
               );
@@ -202,5 +202,5 @@
             var options=this.data('options');
             // return the selected tags
-            return($(this).find('#'+id).attr('checked')?options.values.checked:options.values.unchecked);
+            return($(this).find('#'+id).is(':checked')?options.values.checked:options.values.unchecked);
           }
           else
@@ -214,5 +214,5 @@
                 function ()
                 {
-                  returned.push( {id:$(this).attr('id'), value:$(this).attr('checked')?options.values.checked:options.values.unchecked } );
+                  returned.push( {id:$(this).attr('id'), value:$(this).is(':checked')?options.values.checked:options.values.unchecked } );
                 }
               );
@@ -407,8 +407,8 @@
               {
                 case ':all':
-                  properties.checkboxList.attr('checked', true);
+                  properties.checkboxList.prop('checked', true);
                   break;
                 case ':none':
-                  properties.checkboxList.attr('checked', false);
+                  properties.checkboxList.prop('checked', false);
                   break;
                 case ':invert':
@@ -416,5 +416,5 @@
                     function ()
                     {
-                      $(this).attr('checked', !$(this).attr('checked'));
+                      $(this).prop('checked', !$(this).prop('checked'));
                     }
                   );
@@ -429,5 +429,5 @@
                *  [{id:'id1', value:'value1'}, {id:'idN', value:'valueN'}, ..., {id:'idN', value:'valueN'}]
                */
-              properties.checkboxList.attr('checked', false);
+              properties.checkboxList.prop('checked', false);
 
               for(var i=0;i<value.length;i++)
@@ -435,9 +435,9 @@
                 if(value[i].id!=null && value[i].value!=null)
                 {
-                  if($('#'+value[i].id).attr('value')==value[i].value) $('#'+value[i].id).attr('checked', true);
+                  if($('#'+value[i].id).attr('value')==value[i].value) $('#'+value[i].id).prop('checked', true);
                 }
                 else
                 {
-                  properties.checkboxList.filter('[value='+value[i]+']').attr('checked', true);
+                  properties.checkboxList.filter('[value='+value[i]+']').prop('checked', true);
                 }
               }
@@ -452,5 +452,5 @@
                 if(properties.isCB)
                 {
-                  properties.checkboxList.attr('checked', true);
+                  properties.checkboxList.prop('checked', true);
                 }
                 else
@@ -458,9 +458,9 @@
                   if(id=='')
                   {
-                    properties.checkboxList.attr('checked', true);
+                    properties.checkboxList.prop('checked', true);
                   }
                   else
                   {
-                    properties.checkboxList.filter('#'+id).attr('checked', true);
+                    properties.checkboxList.filter('#'+id).prop('checked', true);
                   }
                 }
@@ -470,5 +470,5 @@
                 if(properties.isCB)
                 {
-                  properties.checkboxList.attr('checked', false);
+                  properties.checkboxList.prop('checked', false);
                 }
                 else
@@ -476,9 +476,9 @@
                   if(id=='')
                   {
-                    properties.checkboxList.attr('checked', false);
+                    properties.checkboxList.prop('checked', false);
                   }
                   else
                   {
-                    properties.checkboxList.filter('#'+id).attr('checked', false);
+                    properties.checkboxList.filter('#'+id).prop('checked', false);
                   }
                 }