Index: extensions/manage_info_photos/admin.php
===================================================================
--- extensions/manage_info_photos/admin.php	(revision 30675)
+++ extensions/manage_info_photos/admin.php	(revision 30676)
@@ -286,10 +286,10 @@
 
                 $q = '
-                INSERT INTO ' . $prefixeTable . 'Add_Info_photos(designation,orderinfo,active,edit)VALUES ("' . $_POST['inserdesignation'] . '","' . $or . '","' . $_POST['inseractive'] . '",1);';
+                INSERT INTO ' . $prefixeTable . 'add_Info_photos(designation,orderinfo,active,edit)VALUES ("' . $_POST['inserdesignation'] . '","' . $or . '","' . $_POST['inseractive'] . '",1);';
                 pwg_query($q);
                 $_SESSION['page_infos'] = array(l10n('Personal info photo add'));
             } else {
                 $q = '
-                UPDATE ' . $prefixeTable . 'Add_Info_photos'
+                UPDATE ' . $prefixeTable . 'add_Info_photos'
                         . ' set designation ="' . $_POST['inserdesignation'] . '" '
                         . ' ,active=' . $_POST['inseractive']
@@ -347,5 +347,5 @@
         global $conf;
 
-        $selected = $conf['Add_Info_photos'];
+        $selected = $conf['add_Info_photos'];
         $options['Author'] = l10n('Author');
         $options['datecreate'] = l10n('Created on');
@@ -366,10 +366,10 @@
 
 
-        if (isset($_POST['Add_Info_photos'])) {
-            conf_update_param('Add_Info_photos', $_POST['Add_Info_photos'], true);
+        if (isset($_POST['add_Info_photos'])) {
+            conf_update_param('add_Info_photos', $_POST['add_Info_photos'], true);
             $template->delete_compiled_templates();
             array_push($page['infos'], l10n('Your configuration settings are saved'));
 
-            $selected = $_POST['Add_Info_photos'];
+            $selected = $_POST['add_Info_photos'];
             $template->assign(
                     'gestionA', array(
Index: extensions/manage_info_photos/admin/admin.tpl
===================================================================
--- extensions/manage_info_photos/admin/admin.tpl	(revision 30675)
+++ extensions/manage_info_photos/admin/admin.tpl	(revision 30676)
@@ -111,5 +111,5 @@
 			<fieldset>
 				<legend>{'Add information before'|@translate}</legend>
-		{html_options name="Add_Info_photos" options=$gestionA.OPTIONS selected=$gestionA.SELECTED}
+		{html_options name="add_Info_photos" options=$gestionA.OPTIONS selected=$gestionA.SELECTED}
 				<br>	
 				<br>
Index: extensions/manage_info_photos/maintain.class.php
===================================================================
--- extensions/manage_info_photos/maintain.class.php	(revision 30675)
+++ extensions/manage_info_photos/maintain.class.php	(revision 30676)
@@ -31,25 +31,25 @@
 	$result = pwg_query($query);
         
-$q = 'INSERT INTO ' . $prefixeTable . 'Add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (1,"author",1,0,0);';
+$q = 'INSERT INTO ' . $prefixeTable . 'add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (1,"author",1,0,0);';
     pwg_query($q);
-$q = 'INSERT INTO ' . $prefixeTable . 'Add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (2,"Created on",2,0,0);';
+$q = 'INSERT INTO ' . $prefixeTable . 'add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (2,"Created on",2,0,0);';
     pwg_query($q);
-$q = 'INSERT INTO ' . $prefixeTable . 'Add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (3,"Posted on",3,0,0);';
+$q = 'INSERT INTO ' . $prefixeTable . 'add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (3,"Posted on",3,0,0);';
     pwg_query($q);
-$q = 'INSERT INTO ' . $prefixeTable . 'Add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (4,"Dimensions",4,0,0);';
+$q = 'INSERT INTO ' . $prefixeTable . 'add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (4,"Dimensions",4,0,0);';
     pwg_query($q);    
-$q = 'INSERT INTO ' . $prefixeTable . 'Add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (5,"File",5,0,0);';
+$q = 'INSERT INTO ' . $prefixeTable . 'add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (5,"File",5,0,0);';
     pwg_query($q);          
-$q = 'INSERT INTO ' . $prefixeTable . 'Add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (6,"Filesize",6,0,0);';
+$q = 'INSERT INTO ' . $prefixeTable . 'add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (6,"Filesize",6,0,0);';
     pwg_query($q);
-$q = 'INSERT INTO ' . $prefixeTable . 'Add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (7,"Tags",7,0,0);';
+$q = 'INSERT INTO ' . $prefixeTable . 'add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (7,"Tags",7,0,0);';
     pwg_query($q);   
-$q = 'INSERT INTO ' . $prefixeTable . 'Add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (8,"Albums",8,0,0);';
+$q = 'INSERT INTO ' . $prefixeTable . 'add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (8,"Albums",8,0,0);';
     pwg_query($q);      
-$q = 'INSERT INTO ' . $prefixeTable . 'Add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (9,"Visits",9,0,0);';
+$q = 'INSERT INTO ' . $prefixeTable . 'add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (9,"Visits",9,0,0);';
     pwg_query($q);       
-$q = 'INSERT INTO ' . $prefixeTable . 'Add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (10,"Average",10,0,0);';
+$q = 'INSERT INTO ' . $prefixeTable . 'add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (10,"Average",10,0,0);';
     pwg_query($q);
-$q = 'INSERT INTO ' . $prefixeTable . 'Add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (11,"Who can see this photo?",11,0,0);';
+$q = 'INSERT INTO ' . $prefixeTable . 'add_Info_photos(id_info_pho,designation,orderinfo,active,edit)VALUES (11,"Who can see this photo?",11,0,0);';
     pwg_query($q); 
     
@@ -62,6 +62,6 @@
   function update($old_version, $new_version, &$errors=array()){
     global $conf;
-    if (!isset($conf['Add_Info_photos'])) {
-        conf_update_param('Add_Info_photos','Categories',true);
+    if (!isset($conf['add_Info_photos'])) {
+        conf_update_param('add_Info_photos','Categories',true);
     }
   }
@@ -71,5 +71,5 @@
 
   function uninstall(){
-    conf_delete_param('Add_Info_photos');
+    conf_delete_param('add_Info_photos');
     $q = 'DROP TABLE ' . $prefixeTable . 'add_Info_photos;';
     pwg_query($q);