Index: extensions/greydragon/changelog.txt
===================================================================
--- extensions/greydragon/changelog.txt	(revision 30730)
+++ extensions/greydragon/changelog.txt	(revision 30741)
@@ -18,4 +18,10 @@
 
 === Changelog ===
+version 1.0.17
++ Added check for anonymous users when no comments present to show "No Comments allowed" in Picture page
++ Added support for "Activate navigation thumbnails" option of the PWG in photo pages
+- Suppressed support for Exif metadata icon managed by general settings in Photo pages. This logic is managed by "Hide Exif Data" option of the theme
+- Fixed issue with content alignment in Calendar page when Static menu is used
+
 version 1.0.16
 + Version information moved into greydragon.class.php for easier maintenance
Index: extensions/greydragon/css/colorpack/blackhawk/styles.css
===================================================================
--- extensions/greydragon/css/colorpack/blackhawk/styles.css	(revision 30730)
+++ extensions/greydragon/css/colorpack/blackhawk/styles.css	(revision 30741)
@@ -23,5 +23,5 @@
 
 #content, .content { background-color: #000; }
-#imageInfos, #menubar { background-color: #111; color: #ccc; }
+#menubar { background-color: #111; color: #ccc; }
 
 #menubar.top-bar { border-bottom: #555 1px solid; background-color: #222; }
Index: extensions/greydragon/css/colorpack/greydragon/styles.css
===================================================================
--- extensions/greydragon/css/colorpack/greydragon/styles.css	(revision 30730)
+++ extensions/greydragon/css/colorpack/greydragon/styles.css	(revision 30741)
@@ -23,5 +23,5 @@
 
 #content, .content { background-color: #1A2022; }
-#imageInfos, #menubar { background-color: #111; color: #ccc; }
+#menubar { background-color: #111; color: #ccc; }
 
 #menubar.top-bar { border-bottom: #10151c 1px solid; background-color: #222; }
Index: extensions/greydragon/css/colorpack/slateblue/styles.css
===================================================================
--- extensions/greydragon/css/colorpack/slateblue/styles.css	(revision 30730)
+++ extensions/greydragon/css/colorpack/slateblue/styles.css	(revision 30741)
@@ -23,5 +23,5 @@
 
 #content, .content { background-color: #1c242e; }
-#imageInfos, #menubar { background-color: #10151c; color: #ccc; }
+#menubar { background-color: #10151c; color: #ccc; }
 
 #menubar.top-bar { border-bottom: #10151c 1px solid; background-color: #222; }
Index: extensions/greydragon/css/colorpack/whitehawk/styles.css
===================================================================
--- extensions/greydragon/css/colorpack/whitehawk/styles.css	(revision 30730)
+++ extensions/greydragon/css/colorpack/whitehawk/styles.css	(revision 30741)
@@ -23,5 +23,5 @@
 
 #content, .content { background-color: #FFF; }
-#imageInfos, #menubar { background-color: rgb(238, 238, 238); color: #555; }
+#menubar { background-color: rgb(238, 238, 238); color: #555; }
 
 #menubar.top-bar { border-bottom: #bbb 1px solid; background-color: transparent; }
Index: extensions/greydragon/css/custom.css
===================================================================
--- extensions/greydragon/css/custom.css	(revision 30730)
+++ 	(revision )
@@ -1,9 +1,0 @@
-/* Theme dynamic settings. Do not modify */
-html, body, input, select, textarea, file { text-transform: lowercase; }
-
-/* Custom CSS. Do not modify */
-.content .additional_info a, .imageComment a { background: url("/local/icon/e-link.gif") no-repeat right top; padding-right: 10px; color: #6392cf; }
-
-.fotorama__arr--prev { background: url("/local/icon/nav-prev-button.png") no-repeat left top; height: 51px; width: 51px; opacity: 0.4; margin-left: 10px; }
-.fotorama__arr--next { background: url("/local/icon/nav-next-button.png") no-repeat left top; height: 51px; width: 51px; opacity: 0.4; margin-right: 10px; }
-.fotorama__arr--prev:hover, .fotorama__arr--next:hover { opacity: 0.8; }
Index: extensions/greydragon/css/styles.css
===================================================================
--- extensions/greydragon/css/styles.css	(revision 30730)
+++ extensions/greydragon/css/styles.css	(revision 30741)
@@ -123,4 +123,5 @@
 body.static-menu .contentWithMenu .category_search_results { padding-left: 200px; margin-left: 0; }
 body.static-menu .contentWithMenu .titrePage { padding-left: 6px; }
+body.static-menu .contentWithMenu .calendarCalBar { margin-left: 210px; }
 
 /* Static header bottom */
@@ -196,5 +197,5 @@
 #imageHeaderBar h2          { font-size: 100%; font-weight: inherit;}
 #imageHeaderBar .browsePath { display: inline-block; float:left; font-size:120%; line-height:20px; padding: 6px 0 0 6px; font-weight:bold; }
-#imageToolBar               { background: inherit; padding-left: 0.7em; }
+#imageToolBar               { background: inherit; padding-left: 0.7em; margin-right: 1em; }
 #imageToolBar .imageNumber  { display: inline-block; float: right; line-height: 26px; margin: 0 2px 0 0; min-width: 40px; text-align: center;}
 #imageToolBar               { margin-top: -24px; margin-bottom: 0; float: right;}
@@ -212,8 +213,8 @@
 /* image infos */
 
-#imageInfos { display: block; width: 100%; vertical-align: top; padding-top: 35px; padding-bottom: 5px; margin: 10px 0 10px 0.5%; word-wrap: break-word; }
-
-#imageInfos .navThumbs        { width: 250px; height: 130px; margin: auto; padding: 0 5px;}
-#imageInfos .navThumb         { position: relative; margin: 0; overflow: hidden;}
+#imageInfos { vertical-align: top; margin: 0; word-wrap: break-word; float: right; }
+
+#imageInfos .navThumbs        { height: 130px; margin: auto; padding: 0 5px;}
+#imageInfos .navThumb         { position: relative; margin: 0 0.5em; overflow: hidden;}
 #imageInfos #linkPrev         { float: left;}
 #imageInfos #linkNext         { float: right;}
@@ -227,4 +228,5 @@
 
 #image-metadata-ico { text-align: center; margin-bottom: 1em; }
+#image-metadata-ico.nav-thumb-margin { margin-right: 284px; }
 ul.image-metadata-ico    { display: inline-block; margin: 0 auto; padding: 0; list-style: none; height: 30px; }
 ul.image-metadata-ico li { float: left; margin: 0; cursor: pointer; padding: 0px 20px; height: 30px; line-height: 30px; font-weight: bold; overflow: hidden; position: relative; }
Index: extensions/greydragon/include/greydragon.class.php
===================================================================
--- extensions/greydragon/include/greydragon.class.php	(revision 30730)
+++ extensions/greydragon/include/greydragon.class.php	(revision 30741)
@@ -3,5 +3,5 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-define('GDTHEME_VERSION', '1.0.16');
+define('GDTHEME_VERSION', '1.0.17');
 
 define("QUOTES_NONE",   FALSE);
Index: extensions/greydragon/js/theme.photo.js
===================================================================
--- extensions/greydragon/js/theme.photo.js	(revision 30730)
+++ extensions/greydragon/js/theme.photo.js	(revision 30741)
@@ -56,10 +56,10 @@
   jQuery(function(){
     if ($('#image-metadata-ico').length) {
-      $("#image-metadata-ico .meta-desc").colorbox({ inline:true, href:"div#tab-desc", className:"image-metadata-overlay", speed:200, opacity:0.4 });
-      $("#image-metadata-ico .meta-info").colorbox({ inline:true, href:"div#tab-meta", className:"image-metadata-overlay", speed:200, opacity:0.4 });
-      $("#image-metadata-ico .meta-exif").colorbox({ inline:true, href:"div#tab-exif", className:"image-metadata-overlay", speed:200, opacity:0.4 });
-      $("#image-metadata-ico .meta-tags").colorbox({ inline:true, href:"div#tab-tags", className:"image-metadata-overlay", speed:200, opacity:0.4 });
-      $("#image-metadata-ico .meta-comment").colorbox({ inline:true, href:"div#tab-comment", className:"image-metadata-overlay", speed:200, opacity:0.4, width: "1200px" });
-      $("#image-metadata-ico .meta-cart").colorbox({ inline:true, href:"div#tab-cart", className:"image-metadata-overlay", speed:200, opacity:0.4, width: "600px" });
+      $("#image-metadata-ico .meta-desc").colorbox({ inline:true, href:"div#tab-desc", className:"image-metadata-overlay", speed:200, opacity:0.6 });
+      $("#image-metadata-ico .meta-info").colorbox({ inline:true, href:"div#tab-meta", className:"image-metadata-overlay", speed:200, opacity:0.6 });
+      $("#image-metadata-ico .meta-exif").colorbox({ inline:true, href:"div#tab-exif", className:"image-metadata-overlay", speed:200, opacity:0.6 });
+      $("#image-metadata-ico .meta-tags").colorbox({ inline:true, href:"div#tab-tags", className:"image-metadata-overlay", speed:200, opacity:0.6 });
+      $("#image-metadata-ico .meta-comment").colorbox({ inline:true, href:"div#tab-comment", className:"image-metadata-overlay", speed:200, opacity:0.6, width: "1200px" });
+      $("#image-metadata-ico .meta-cart").colorbox({ inline:true, href:"div#tab-cart", className:"image-metadata-overlay", speed:200, opacity:0.6, width: "600px" });
     }else{
       setCurrentTab();
Index: extensions/greydragon/template/picture.tpl
===================================================================
--- extensions/greydragon/template/picture.tpl	(revision 30730)
+++ extensions/greydragon/template/picture.tpl	(revision 30741)
@@ -67,9 +67,4 @@
   </a>
 {/if}{/strip}
-{strip}{if isset($U_METADATA)}
-  <a href="{$U_METADATA}" title="{'Show file metadata'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
-    <span class="pwg-icon pwg-icon-camera-info"></span><span class="pwg-button-text">{'Show file metadata'|@translate}</span>
-  </a>
-{/if}{/strip}
 {strip}{if isset($current.U_DOWNLOAD)}
   <a href="{$current.U_DOWNLOAD}" title="{'Download this file'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
@@ -120,6 +115,5 @@
 {/if}
 
-</div>
-{* {if $DISPLAY_NAV_THUMB}
+{if $DISPLAY_NAV_THUMB}
 <div id="imageInfos">
   <div class="navThumbs">
@@ -146,7 +140,10 @@
   </div>
 </div>
-{/if} *}
+{/if}
+
+</div>
+
 {if $greydragon.p_pict_tab_mode !== "hide" && $overlay_mode == "on"}
-<div id="image-metadata-ico">
+<div id="image-metadata-ico" {if $DISPLAY_NAV_THUMB}class="nav-thumb-margin"{/if}>
   <ul class="image-metadata-ico"> 
     {if isset( $COMMENT_IMG )}<li class="meta-desc{if $ico_mode=="on"} glyphicon glyphicon-eye-open{/if}{if $def_tab == 'desc'} active{/if}">{if $ico_mode=="off"}{'Description'|@translate}{/if}</li>{/if}
@@ -354,4 +351,6 @@
           </form>
         </div>
+        {else}
+          {if ($COMMENT_COUNT == 0)}<p>{'No Comments Allowed'|@translate}</p>{/if}
         {/if}
         {if isset($comments)}
Index: extensions/greydragon/themeconf.inc.php
===================================================================
--- extensions/greydragon/themeconf.inc.php	(revision 30730)
+++ extensions/greydragon/themeconf.inc.php	(revision 30741)
@@ -2,5 +2,5 @@
 /*
 Theme Name: GreyDragon
-Version: 1.0.16
+Version: 1.0.17
 Description: GreyDragon Theme
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=775