Index: /trunk/language/bg_BG/common.lang.php
===================================================================
--- /trunk/language/bg_BG/common.lang.php	(revision 30759)
+++ /trunk/language/bg_BG/common.lang.php	(revision 30760)
@@ -38,9 +38,9 @@
 $lang['%d albums updated'] = '%d албумите са обновени';
 $lang['%d comment to validate'] = '%d коментар за одобрение';
-$lang['%d comments to validate'] = '%d коментари за одобрение';
+$lang['%d comments to validate'] = '%d коментара за одобрение';
 $lang['%d new comment'] = '%d нов коментар';
 $lang['%d new comments'] = '%d нови коментари';
 $lang['%d comment'] = '%d коментар';
-$lang['%d comments'] = '%d коментари';
+$lang['%d comments'] = '%d коментара';
 $lang['%d hit'] = '%d показан';
 $lang['%d hits'] = '%d показвания';
@@ -70,5 +70,5 @@
 $lang['Each listed rule must be satisfied.'] = 'Всяко правило от списъка трябва да е изпълнено.';
 $lang['Email address'] = 'Мейл адрес';
-$lang['Enter your personnal informations'] = 'Въведете Вашата лична информация';
+$lang['Enter your personnal informations'] = 'Въведете вашата лична информация';
 $lang['Error sending email'] = 'Грешка при изпращането на електронната поща';
 $lang['File name'] = 'Име на файла';
@@ -80,5 +80,5 @@
 $lang['Go through the gallery as a visitor'] = 'Преглед на галерията като посетител';
 $lang['Help'] = 'Помощ';
-$lang['Identification'] = 'Регистрация/Вход';
+$lang['Identification'] = 'Регистрация';
 $lang['Photos only RSS feed'] = 'RSS Емисия само за снимки';
 $lang['Keyword'] = 'Ключова дума';
@@ -111,7 +111,7 @@
 $lang['Thumbnails'] = 'Умален преглед';
 $lang['Menu'] = 'Меню';
-$lang['A comment on your site'] = 'Коментар на Вашият сайт';
+$lang['A comment on your site'] = 'Коментар на вашият сайт';
 $lang['today'] = 'днес';
-$lang['Update your rating'] = 'Обновете Вашето гласуване';
+$lang['Update your rating'] = 'Обновете гласуването си';
 $lang['the username must be given'] = 'потребителското име е задължително';
 $lang['useful when password forgotten'] = 'полезно в случай на забравена парола';
@@ -129,5 +129,5 @@
 $lang['Album: %s'] = 'Албум: %s';
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Грешен статус за потребител "guest", ще бъде използвана настройка по подразбиране. Моля уведомете уебмастерът.';
-$lang['this email address is already in use'] = 'този емайл адрес вече се използва.';
+$lang['this email address is already in use'] = 'този е-мейл адрес вече се използва';
 $lang['Album results for'] = 'Албумни резултати за';
 $lang['Tag results for'] = 'Таг резултати за';
@@ -157,5 +157,5 @@
 $lang['delete all photos from your favorites'] = 'изтрий всички снимки от любими';
 $lang['Sent by'] = 'Изпратено от';
-$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Блокирали сте бисквитките или Вашият браузър не ги поддържа. Разрешете бисквитките за да влезете в системата.';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Блокирали сте бисквитките или браузърът ви не ги поддържа. Разрешете бисквитките за да влезете в системата.';
 $lang['Edit a comment'] = 'Редактирай коментар';
 $lang['Are you sure?'] = 'Сигурен ли сте?';
@@ -207,5 +207,5 @@
 $lang['posted between %s (%s) and %s (%s)'] = 'качени между %s (%s) и %s (%s)';
 $lang['posted on %s'] = 'качени на %s';
-$lang['Best rated'] = 'Най-добра оценка';
+$lang['Best rated'] = 'С най-добра оценка';
 $lang['display best rated photos'] = 'покажи снимките с най-добри оценки';
 $lang['Calendar'] = 'Календар';
@@ -219,8 +219,8 @@
 $lang['comment date'] = 'дата на коментар';
 $lang['Comment'] = 'Коментар';
-$lang['Your comment has been registered'] = 'Вашият коментар бе регистриран';
+$lang['Your comment has been registered'] = 'Коментарът ви е регистриран';
 $lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Анти-флуд система: моля изчакайте малко преди да напишете друг коментар';
-$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Вашият коментар не бе регистриран защото не отговаря на правилата за писане на коментари';
-$lang['An administrator must authorize your comment before it is visible.'] = 'Администратор трябва да одобри Вашият коментар преди да бъде видим.';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Коментарът ви не е регистриран, защото не отговаря на правилата за писане на коментари';
+$lang['An administrator must authorize your comment before it is visible.'] = 'Администратор трябва да одобри коментарът ви преди да бъде видим.';
 $lang['This login is already used by another user'] = 'Това потребителско име вече се използва от друг потребител.';
 $lang['Comments'] = 'Коментари';
@@ -231,5 +231,5 @@
 $lang['created on %s'] = 'добавени на %s';
 $lang['Customize'] = 'Персонализирай';
-$lang['Your Gallery Customization'] = 'Персонализиране на Вашата Галерия';
+$lang['Your Gallery Customization'] = 'Персонализиране на галерията';
 $lang['Default'] = 'По подразбиране';
 $lang['delete this photo from your favorites'] = 'изтрий тази снимка от любими';
@@ -275,6 +275,6 @@
 $lang['Next'] = 'Следващ';
 $lang['no rate'] = 'няма оценка';
-$lang['Photos posted within the last %d day.'] = 'Снимки, публикувани в рамките на последния/те %d ден/дни.';
-$lang['Photos posted within the last %d days.'] = 'Снимки, публикувани в рамките на последния/те %d ден/дни.';
+$lang['Photos posted within the last %d day.'] = 'Снимки, публикувани в рамките на последния %d ден.';
+$lang['Photos posted within the last %d days.'] = 'Снимки, публикувани в рамките на последните %d дни.';
 $lang['password updated'] = 'паролата е актуализирана';
 $lang['Recent period must be a positive integer value'] = 'Последния период трябва да бъде положително цяло число';
@@ -288,5 +288,5 @@
 $lang['display recently updated albums'] = 'показване наскоро актуализирани албуми';
 $lang['Recent period'] = 'Последния период';
-$lang['Recent photos'] = 'Последните снимки';
+$lang['Recent photos'] = 'Последни снимки';
 $lang['display most recent photos'] = 'показване най-новите снимки';
 $lang['Redirection...'] = 'Пренасочване...';
@@ -321,8 +321,8 @@
 $lang['(!) This comment requires validation'] = '(!) Този коментар изисква валидация';
 $lang['Welcome'] = 'Добре дошъл';
-$lang['Welcome to your Piwigo photo gallery!'] = 'Добре дошли във Вашата Piwigo фото галерия!';
-$lang['... or browse your empty gallery'] = '... или разгледайте Вашите празни галерии';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Добре дошли във вашата Piwigo фото галерия!';
+$lang['... or browse your empty gallery'] = '... или разгледайте празната галерия';
 $lang['... or please deactivate this message, I will find my way by myself'] = '... или моля деактивирайте това съобщение, аз ще намеря друг начин';
-$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Здравейте %s, Вашата Piwigo фото галерия е празна!';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Здравейте %s, вашата галерия е празна!';
 $lang['I want to add photos'] = 'Искам да добавя снимки';
 $lang['Manage this user comment: %s'] = 'Управление на потребителския коментар: %s';
@@ -336,10 +336,10 @@
 $lang['Change my password'] = 'Смана на паролата';
 $lang['Invalid key'] = 'Невалиден ключ';
-$lang['Invalid username or email'] = 'Невалидно потребителско име или е-майл';
-$lang['Please enter your username or email address.'] = 'Моля, въведете Вашето потребителско име или е-майл';
+$lang['Invalid username or email'] = 'Невалидно потребителско име или е-мейл';
+$lang['Please enter your username or email address.'] = 'Моля, въведете потребителското си име или е-мейл.';
 $lang['Return to home page'] = 'Връщане към началната страница';
 $lang['The passwords do not match'] = 'Въведените пароли не съвпадат';
 $lang['To reset your password, visit the following address:'] = 'За да анулирате паролата, посетете този адрес:';
-$lang['Username or email'] = 'Потребителско име или е-майл';
+$lang['Username or email'] = 'Потребителско име или е-мейл';
 $lang['You will receive a link to create a new password via email.'] = 'Ще получите линк на електронната си поща, с който ще съзадате нова парола';
 $lang['Your password has been reset'] = 'Вашата парола е анулирана';
@@ -373,5 +373,5 @@
 $lang['xlarge'] = 'по-голям';
 $lang['xxlarge'] = 'огромен';
-$lang['Your username has been successfully changed to : %s'] = 'Вашетопотребителско име беше успешно промененно на : %s';
+$lang['Your username has been successfully changed to : %s'] = 'Потребителското ви име е успешно промененно на: %s';
 $lang['%d rates'] = '%d оценки';
 
@@ -410,5 +410,5 @@
 $lang['Username is mandatory'] = 'Потребителското име е задължително';
 $lang['Email address is mandatory'] = 'Имейл адреса е задължителен';
-$lang['Your website URL is invalid'] = 'Вашия уебсайт адрес е грешен';
+$lang['Your website URL is invalid'] = 'Вашият уебсайт адрес е невалиден';
 $lang['Website'] = 'Уебсайт';
 $lang['Email'] = 'Имейл';