Index: trunk/language/de_DE/admin.lang.php
===================================================================
--- trunk/language/de_DE/admin.lang.php	(revision 30835)
+++ trunk/language/de_DE/admin.lang.php	(revision 30837)
@@ -545,5 +545,5 @@
 $lang['Tools'] = 'Werkzeuge';
 $lang['Photos'] = 'Fotos';
-$lang['Themes'] = 'Themen';
+$lang['Themes'] = 'Themes';
 $lang['Instructions to use Piwigo'] = 'Hinweise zur Benutzung von Piwigo';
 $lang['Installed Themes'] = 'Installierte Themes';
@@ -578,5 +578,5 @@
 $lang['Save Settings'] = 'Einstellungen sichern';
 $lang['Your configuration settings are saved'] = 'Die Konfigurationseinstellungen wurden gespeichert.';
-$lang['Active Themes'] = 'Aktive Themen';
+$lang['Active Themes'] = 'Aktive Themes';
 $lang['Add write access to the "%s" directory'] = 'Geben Sie dem  »%s«-Verzeichnis Schreibrechte';
 $lang['Administration Home'] = 'Administrations-Übersicht';
@@ -589,6 +589,6 @@
 $lang['Help Me'] = 'Hilfe';
 $lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Es ist nicht möglich, dieses Thema zu aktivieren, da das Elternthema %s fehlt';
-$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Es ist nicht möglich, dieses Thema zu löschen; andere Themen basieren darauf: %s';
-$lang['Inactive Themes'] = 'Inaktive Themen';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Es ist nicht möglich, dieses Thema zu löschen; andere Themes basieren darauf: %s';
+$lang['Inactive Themes'] = 'Inaktive Themes';
 $lang['Install on your computer,'] = 'Auf Ihrem Computer installieren,';
 $lang['Make this theme available to users'] = 'Dieses Theme den Benutzern zur Verfügung stellen';
@@ -701,7 +701,7 @@
 $lang['You have %d orphan tags: %s.'] = 'Sie haben %d nicht benutzte Schlagwörter: %s.';
 $lang['Remove from caddie'] = 'Aus Sammelkorb entfernen';
-$lang['Themes which need upgrade'] = 'Themen, die aktualisiert werden sollten';
+$lang['Themes which need upgrade'] = 'Themes, die aktualisiert werden sollten';
 $lang['Languages which need upgrade'] = 'Sprachen, die aktualisiert werden sollten';
-$lang['All themes are up to date.'] = 'Alle Themen sind auf dem neuesten Stand.';
+$lang['All themes are up to date.'] = 'Alle Themes sind auf dem neuesten Stand.';
 $lang['All plugins are up to date.'] = 'Alle Plugins sind auf dem neuesten Stand.';
 $lang['All languages are up to date.'] = 'Alle Sprachen sind auf dem neuesten Stand.';
@@ -740,5 +740,5 @@
 $lang['All extensions are up to date.'] = 'Alle Erweiterungen sind aktuell.';
 $lang['Following plugins may not be compatible with the new version of Piwigo:'] = 'Folgende Plugins sind möglicherweise nicht kompatibel mit der neuen Piwigo-Version:';
-$lang['Following themes may not be compatible with the new version of Piwigo:'] = 'Folgende Themen sind möglicherweise nicht kompatibel mit der neuen Piwigo-Version:';
+$lang['Following themes may not be compatible with the new version of Piwigo:'] = 'Folgende Themes sind möglicherweise nicht kompatibel mit der neuen Piwigo-Version:';
 $lang['I decide to update anyway'] = 'Trotzdem aktualisieren';
 $lang['Update to Piwigo %s'] = 'Aktualisierung auf Piwigo %s';
@@ -746,5 +746,5 @@
 $lang['This is a minor update, with only bug corrections.'] = 'Dies ist eine kleine Aktualisierung zur Fehlerbeseitigung.';
 $lang['This is a major update, with <a href="%s">new exciting features</a>.'] = 'Dies ist eine größere Aktualisierung mit <a href="%s">neuen Funktionen </a>.';
-$lang['Some themes and plugins may be not available yet.'] = 'Einige Themen und Plugins sind nun leider nicht mehr verfügbar.';
+$lang['Some themes and plugins may be not available yet.'] = 'Einige Themes und Plugins sind nun leider nicht mehr verfügbar.';
 $lang['You can update to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = 'Empfehlung: Sie können direkt auf Piwigo %s aktualisieren. Ein Upgrade auf Piwigo %s ist nicht nötig.';
 $lang['Save Template Directory'] = 'Das Vorlagen-Verzeichnis sichern';