Index: /extensions/UserAdvManager/branches/2.7/language/nb_NO/description.txt
===================================================================
--- /extensions/UserAdvManager/branches/2.7/language/nb_NO/description.txt	(revision 30851)
+++ /extensions/UserAdvManager/branches/2.7/language/nb_NO/description.txt	(revision 30851)
@@ -0,0 +1,1 @@
+Styrker mulighetene for brukeradministrasjon
Index: /extensions/UserAdvManager/branches/2.7/language/nb_NO/index.php
===================================================================
--- /extensions/UserAdvManager/branches/2.7/language/nb_NO/index.php	(revision 30851)
+++ /extensions/UserAdvManager/branches/2.7/language/nb_NO/index.php	(revision 30851)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/UserAdvManager/branches/2.7/language/nb_NO/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.7/language/nb_NO/plugin.lang.php	(revision 30851)
+++ /extensions/UserAdvManager/branches/2.7/language/nb_NO/plugin.lang.php	(revision 30851)
@@ -0,0 +1,105 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['UAM_Confirm_Group'] = 'Grupper<br/>(la ------- for ikke å påvirke gruppe)';
+$lang['UAM_Confirm_Level'] = 'Personvernnivå<br/>(la ------- for å beholde Piwigo\'s standard)';
+$lang['UAM_Confirm_Mail'] = 'Bekreftelse på påmelding:';
+$lang['UAM_Confirm_Mail_local'] = 'Aktiver - Bekreftelse av admin';
+$lang['UAM_Confirm_Mail_true'] = 'Aktiver - Bekreftelse av bruker';
+$lang['UAM_Confirm_Status'] = 'Vedtekter <b style ="color: red;">Advarsel: Ikke bruk "Gjest" status. Fordi ubrukelig, denne funksjonen kan bli fjernet i fremtidige versjoner</b><br/>(la ------- for å beholde Piwigo\'s standard)';
+$lang['UAM_Confirm_grpstat_notice'] = 'Forsiktig: Det anbefales å bruke enten gruppen eller vedtekt bekreftelse og ikke begge samtidig. Personvernnivå kan brukes sammen med en gruppe eller status oppdrag.';
+$lang['UAM_CustomPasswRetr'] = 'Tilpass glemt passord e-postinnhold';
+$lang['UAM_Customize_messagesandmails'] = 'Tilpass meldinger og e-post';
+$lang['UAM_Default_AdminValidationMail_Subject'] = '[Brukernavn] - Registrering validert på [mygallery]';
+$lang['UAM_Default_AdminValidation_Txt'] = 'Hei [brukernavn]! Takk for din registrering og velkommen til [mygallery].
+
+Din konto har blitt manuelt bekreftet av webansvarlig for [mygallery]. Du kan nå logge inn på [myurl] og foreta eventuelle nødvendige endringer i profilen din.';
+$lang['UAM_Default_CfmMail_Custom_Txt1'] = '[Brukernavn] konto vellykket validert!';
+$lang['UAM_Default_CfmMail_Custom_Txt2'] = 'Feil / utløpt aktiveringsnøkkel eller konto allerede validert.';
+$lang['UAM_Default_CfmMail_Remail_Txt1'] = 'Hei [brukernavn].
+
+Dette er en påminnelse meldingen fordi du er registrert på vårt galleri [mygallery] men du bekreftet ikke din registrering og aktiveringsnøkkel er dermed utløpt på dato. For å gi deg tilgang til galleriet vårt, har din bekreftelses periode blitt resatt. Du har du x dager for å bekrefte din registrering.
+
+Merk: Etter denne perioden, vil din konto bli slettet.';
+$lang['UAM_Default_CfmMail_Remail_Txt2'] = 'Hei [brukernavn].
+
+Dette er en påminnelse meldingen fordi du er registrert på vårt galleri [mygallery] men du bekreftet ikke din registrering og aktiveringsnøkkel er dermed utløpt på dato. For å gi deg tilgang til galleriet vårt, har du x dager for å bekrefte din registrering ved å klikke på lenken i meldingen du skal ha mottatt da du registrerte deg.
+
+Merk: Etter denne perioden, vil din konto bli slettet.';
+$lang['UAM_Default_ConfirmMail_Remail_Subject'] = 'Påminnelse - [brukernavn] registreringsbekreftelse på [mygallery]';
+$lang['UAM_Default_ConfirmMail_Subject'] = '[Brukernavn] registreringsbekreftelse på [mygallery]';
+$lang['UAM_Default_ConfirmMail_Txt'] = 'Hei [brukernavn]! Takk for å ha registrert deg på [mygallery].
+
+For å fullføre prosessen og kunne bla gjennom bildene, ber vi deg bekrefte din registrering ved å klikke på linken i denne meldingen.';
+$lang['UAM_Default_GTAutoMail_Subject'] = '[Brukernavn] - Din konto har blitt degradert på [mygallery]';
+$lang['UAM_Default_GTReminder_Subject'] = '[Brukernavn] - Lang tid har gått siden ditt siste besøk på [mygallery]';
+$lang['UAM_%d_Mail_With_Key'] = '%d melding med passord fornyelse var sendt';
+$lang['UAM_%d_Mails_With_Key'] = '%d melding med passord fornyelse ble sendt';
+$lang['UAM_%d_Reminder_Sent'] = '%d påminnelse melding var sendt';
+$lang['UAM_%d_Reminders_Sent'] = '%d påminnelse melding ble sendt';
+$lang['UAM_%d_Validated_User'] = '%d Bruker bekreftet manuelt';
+$lang['UAM_%d_Validated_Users'] = '%d Brukere bekreftet manuelt';
+$lang['UAM_AddURL2Mail'] = 'Legg inn nettadressen til galleriet på slutten av e-post (som en signatur)';
+$lang['UAM_AdminConfMail'] = 'Bekreftelse på registrering for admins';
+$lang['UAM_AdminValidationMail_Subject'] = 'Tilpass manuell validering av e-postemne';
+$lang['UAM_AdminValidationMail_Text'] = 'Melding om manuell bekreftelse av registrering';
+$lang['UAM_Admins_Copy'] = 'Kopi av alle e-poster til admins:';
+$lang['UAM_Bad_version_backup'] = 'Den versjonen av sikkerhetskopifilen samsvarer ikke med denne versjonen av programtillegget! Restaureringen ble ikke utført.';
+$lang['UAM_Change'] = 'Endre Gruppe/Status/Privat nivå av brukerne som har blitt bekreftet';
+$lang['UAM_ConfirmMail_ReMail_Subject'] = 'Tilpass registreringsbekreftelse påminnelse e-postemne';
+$lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Tilpasse påminnelse beskjeden <b><u>med</u></b> ny regenerering av bekreftelse nøkkel.';
+$lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Tilpasse påminnelse beskjeden <b><u>uten</u></b> ny regenerering av bekreftelse nøkkel.';
+$lang['UAM_ConfirmMail_Remail'] = 'Påmindelse av ubekreftede brukere';
+$lang['UAM_ConfirmMail_Subject'] = 'Tilpass registreringsbekreftelsens e-postemne';
+$lang['UAM_ConfirmMail_Text'] = 'Tilpasse bekreftelses e-post:';
+$lang['UAM_ConfirmMail_TimeOut_true'] = 'Aktiver. Antall dager før utløp:';
+$lang['UAM_Enable'] = 'Aktivert';
+$lang['UAM_Dump_OK'] = 'Sikkerhetskopi-fil opprettet';
+$lang['UAM_Dump_NOK'] = 'Feil: Kan ikke lage sikkerhetskopi-fil!';
+$lang['UAM_Dump_Download'] = 'For å laste ned sikkerhetskopi-fil, kryss av i denne boksen:';
+$lang['UAM_DumpTxt'] = 'Sikkerhetskopiering og gjenoppretting av dine innstillinger';
+$lang['UAM_Disable'] = 'Deaktiver (standard)';
+$lang['UAM_Delete_selected'] = 'Slett';
+$lang['UAM_Default_ValidationTimeout_Txt'] = 'Beklager, kontoen din er slettet fordi du ikke har bekreftet din påmelding innen tidsfristen ([Kdager] dager). Vennligst, prøv å registrer på nytt med en gyldig og ikke blokkert e-postkonto.';
+$lang['UAM_Default_RejectConnexion_Txt'] = 'Beklager, din registrering er ikke godkjent ennå, så du kan ikke koble til galleriet nå.';
+$lang['UAM_Default_PwdRequest_Txt'] = 'Du har bedt om en tilbakestilling av passord på vårt galleri. Vennligst, se dine nye tilkoblingsinnstillingene nedenfor.';
+$lang['UAM_Default_InfoMail_Txt'] = 'Hei [brukernavn]!
+
+Du har gjort betydelige forandringer i din bruker profil på ditt galleri [mittgalleri]. Vennligst, se dine nye endringer nedenfor:';
+$lang['UAM_Default_InfoMail_Subject'] = '[brukernavn] - Din registrerings innformasjon på [mittgalleri]';
+$lang['UAM_Default_GhstDeletion_Txt'] = 'Beklager [brukernavn], din konto har blitt slettet p.g.a. det har gått for lang tid siden sist besøk på [mittgalleri]. Vennligst registrer på nytt.';
+$lang['UAM_Default_GhstReminder_Txt'] = 'Hei [brukernavn].
+
+Dette er en påmindelse fordi det har gått veldig lang tid siden du sist besøkte vårt galleri [mittgalleri]. Hvis du ikke lenger ønsker å bruke gallerie kontoen din lenger, svar på denne E-posten og vi vil slette din konto.
+
+Fra og med mottakelse av denne e-psten og ingen nye besøk innen [dager]dager, vi vil bli nøtt til å automatisk slette din konto.
+
+Med vennlig hilsen
+
+Administrator av galleriet [mittgalleri] - [minurl]';
+$lang['UAM_Default_GhstDemotion_Txt'] = 'Beklager [brukernavn], din konto har blitt opprettet på nytt p.g.a. det har gått for lang tid siden sist du besøkte [mittgalleri]. Vennligst. bruk vedlagte link til å bekrefte din konto:';
+$lang['UAM_Err_audit_username_char'] = '<b>Denne kontoen bruker en eller flere forbudte tegn:</b>';
+$lang['UAM_Err_audit_email_forbidden'] = '<b> Denne kontoen bruker en forbudt e-postleverandør:</b>';
+$lang['UAM_Err_audit_advise'] = '<b>du må utføre korreksjoner for å overholde nye regler som du har aktivert. <br/> Bruk database innstillings verktøy for å korrigere brukerkontoer direkte i tabellen ### _ BRUKERE';
+$lang['UAM_Err_Userlist_Settings'] = 'Denne siden er bare tilgjengelig hvis "Overvåke registrerte brukere" er aktiv i "Registrerings innstillinger fulgt og andre alternativer".';
+$lang['UAM_Err_UserManager_Settings'] = 'Denne siden er bare tilgjengelig hvis "Bekreftelse på registrering" er aktiv og om en gruppe av besøkende ikke bekreftet er konfigurert i  "Innstillinger av bekreftelser av registrering".';
+$lang['UAM_Err_GhostTracker_Settings'] = 'Denne siden er bare tilgjengelig hvis "Ghost Tracker" er aktiv i "Registrerings innstillinger fulgt og andre alternativer".';