Index: extensions/Register_FluxBB/language/uk_UA/plugin.lang.php
===================================================================
--- extensions/Register_FluxBB/language/uk_UA/plugin.lang.php	(revision 30882)
+++ extensions/Register_FluxBB/language/uk_UA/plugin.lang.php	(revision 30892)
@@ -23,5 +23,5 @@
 $lang['Audit_Btn'] = 'Аудит';
 $lang['error_config_guest'] = 'ПОМИЛКА : ім\'я облікового запису гостя FluxBB неправильне!';
-$lang['error_config_admin1'] = 'ПОМИЛКА : ім\'я користувача адміністратора Piwigo неправильне!';
+$lang['error_config_admin1'] = 'ПОМИЛКА : Ім\'я користувача адміністратора Piwigo неправильне!';
 $lang['save_config'] = 'Налаштування збережені';
 $lang['New_Link'] = 'Пов\'язані облікові записи:';
@@ -39,6 +39,6 @@
 $lang['%d email addresses rejected: %s'] = '%d адрес електронної пошти відкинуто: %s';
 $lang['%d registrations on error: %s'] = '%d реєстрацій з помилкою: %s';
-$lang['%d users registered'] = '%s користувачів зареєстровано';
-$lang['About_Bridge_Title'] = 'Про місток Register_FluxBB / UAM';
+$lang['%d users registered'] = '%d користувачів зареєстровано';
+$lang['About_Bridge_Title'] = 'Про міст Register_FluxBB / UAM';
 $lang['About_Reg_Title'] = 'Про реєстрацію користувачів на форумі FluxBB';
 $lang['About_Reg_Title_d'] = 'Корисні поради щодо кращої інтеграції';
@@ -64,2 +64,20 @@
 $lang['Config_Title_d'] = 'Налаштування плагіна';
 $lang['Config_Title'] = 'Налаштування плагіна';
+$lang['Please change your password at your first connexion on the gallery'] = 'Будьласка, змініть ваш пароль при першому підключенні до галереї для закінчення синхронізації даних';
+$lang['RegFluxBB_Email_or_Username_already_exist'] = 'Синхронізація з FluxBB до Piwigo зупинена: ел.пошта чи ім\'я користувача вже існую у таблиці користувачів Piwigo.';
+$lang['RegFluxBB_Password_Reset_Msg'] = 'Будьласка, оновіть ваш пароль для синхронізації з форумом. Після цього ви зможете заходити до форуму з обліковоим записом від галереї.';
+$lang['Sync_Check_Dup'] = '<b>Аналіз таблиць користувачів для контролю дублікатів</b>';
+$lang['Sync_DataUser'] = '<b>Аналіз паролей та адресів ел.пошти поміж обліковими записами Piwigo та FluxBB</b>';
+$lang['Sync_FluxBB2PWG'] = '<b>Аналіз облікових записів, що існують у FluxBB, але не існують у Piwigo</b>';
+$lang['Sync_Link_Bad'] = '<b>Аналіз поганих співвідношень облікових записів між Piwigo та FluxBB</b>';
+$lang['Sync_Link_Break'] = '<b>Аналіз посилань, що можуть бути виправлені, між обліковими записами у Piwigo та FluxBB</b>';
+$lang['Sync_PWG2FluxBB'] = '<b>Аналіз облікових записів, що існують у Piwigo, але не існують у FluxBB</b>';
+$lang['error_config_admin2'] = 'ПОМИЛКА: Ім\'я адміністратора FluxBB відрізняється від Piwigo! Перевірте налаштування вашого форуму FluxBB та змініть ім\'я облікового запису "Administrator" на такеж як у Piwigo';
+$lang['Sync_Title'] = 'Синхронізуванти облікові записи з Piwigo до FluxBB';
+$lang['Instruction_Title_d'] = 'Інструкції та важлива інформація';
+$lang['FluxBB_Title'] = 'Версія Register_FluxBB: ';
+$lang['Config_Title1'] = 'Налаштування мосту поміж FluxBB та Piwigo';
+$lang['Bridge_UAM_true'] = ' --> Включити міст Register_FluxBB / UAM';
+$lang['Bridge_UAM_false'] = ' --> Відключити міст Register_FluxBB / UAM (за замовчанням)';
+$lang['Audit_Synchro'] = '<b>Аудит синхронізації паролей та адресів ел.пошти поміж обліковими записами Piwigo та FluxBB</b>';
+$lang['About_Bridge_Title_d'] = 'Інструкція про міст між Register_FluxBB та UserAdvManager плагінами';