Index: /extensions/greydragon/admin/admin.inc.php
===================================================================
--- /extensions/greydragon/admin/admin.inc.php	(revision 30899)
+++ /extensions/greydragon/admin/admin.inc.php	(revision 30900)
@@ -34,5 +34,4 @@
 
   $config_min = $themeCore->getConfig(FALSE);
-
   $conf['greydragon'] = serialize($config_min);
   conf_update_param('greydragon', pwg_db_real_escape_string($conf['greydragon']));
Index: /extensions/greydragon/admin/admin.tpl
===================================================================
--- /extensions/greydragon/admin/admin.tpl	(revision 30899)
+++ /extensions/greydragon/admin/admin.tpl	(revision 30900)
@@ -28,6 +28,5 @@
         <label>
           <span class="graphicalCheckbox {if $options.hasMinVer=="yes"}icon-check success{else}icon-check-empty error{/if}"></span>&nbsp;
-          <input name="vercheck" disabled="1" type="checkbox" checked="checked" value="1">
-          {'Piwigo 2.6.3+ Core Installed'|@translate}
+          <input name="vercheck" disabled="1" type="checkbox" checked="checked" value="1">{'Piwigo 2.6.3+ Core Installed'|@translate}
         </label>
       </li>
@@ -35,6 +34,5 @@
         <label>
           <span class="graphicalCheckbox {if $options.hasAP=="yes"}icon-check success{else}icon-check-empty error{/if}"></span>&nbsp;
-          <input name="addpagescheck" disabled="1" type="checkbox" checked="checked" value="1">
-          {'Additional Pages'|@translate} {'Installed'|@translate}
+          <input name="addpagescheck" disabled="1" type="checkbox" checked="checked" value="1">{'Additional Pages'|@translate} {'Installed'|@translate}
         </label>
       </li>
@@ -42,6 +40,5 @@
         <label>
           <span class="graphicalCheckbox {if $options.hasED=="yes"}icon-check success{else}icon-check-empty error{/if}"></span>&nbsp;
-          <input name="extdesccheck" disabled="1" type="checkbox" checked="checked" value="1">
-          {'Extended Description'|@translate} {'Installed'|@translate}
+          <input name="extdesccheck" disabled="1" type="checkbox" checked="checked" value="1">{'Extended Description'|@translate} {'Installed'|@translate}
         </label>
       </li>
@@ -54,6 +51,5 @@
         <label>
           <span class="graphicalCheckbox icon-check {if $options.hasGT=="yes"}icon-check success{else}icon-check-empty error{/if}"></span>
-          <input name="vercheck" disabled="1" type="checkbox" checked="checked" value="1">
-          <a href="http://piwigo.org/ext/extension_view.php?eid=771" target=_blank>{'gdThumb'|@translate}</a> {'Installed'|@translate}
+          <input name="vercheck" disabled="1" type="checkbox" checked="checked" value="1"><a href="http://piwigo.org/ext/extension_view.php?eid=771" target=_blank>{'gdThumb'|@translate}</a> {'Installed'|@translate}
         </label>
       </li>
@@ -61,6 +57,5 @@
         <label>
           <span class="graphicalCheckbox icon-check {if $options.hasAT=="yes"}icon-check success{else}icon-check-empty error{/if}"></span>
-          <input name="vercheck" disabled="1" type="checkbox" checked="checked" value="1">
-          <a href="http://piwigo.org/ext/extension_view.php?eid=720" target=_blank>{'Admin Tools'|@translate}</a> {'Installed'|@translate}
+          <input name="vercheck" disabled="1" type="checkbox" checked="checked" value="1"><a href="http://piwigo.org/ext/extension_view.php?eid=720" target=_blank>{'Admin Tools'|@translate}</a> {'Installed'|@translate}
         </label>
       </li>
@@ -71,19 +66,20 @@
     <ul>
       <li><input id="p_logo_path" name="p_logo_path" type="text" value="{$options.p_logo_path}"><label for="p_logo_path">{'Logo Image'|@translate}</label>
-      <li><input id="p_favicon_path" name="p_favicon_path" type="text" value="{$options.p_favicon_path}"><label for="p_favicon_path">{'URL (or relative path) to your favicon.ico'|@translate}</label>
-{* 
-      <li><input id="p_apple_path" name="p_apple_path" type="text" value="{$options.p_apple_path}"><label for="p_apple_path">{'URL (or relative path) to your Apple Touch icon'|@translate}</label> 
-*}
       <li><input id="p_header" name="p_header" type="text" value="{$options.p_header|escape:"html"}"><label for="p_header">{'Header Text'|@translate}</label>
       <li><input id="p_footer" name="p_footer" type="text" value="{$options.p_footer|escape:"html"}"><label for="p_footer">{'Footer Text'|@translate}</label>
       <li>
         <select id="p_colorpack" name="p_colorpack" adisabled="1">
-        {foreach from=$colorpackArr item=name}
-          <option {if $options.p_colorpack == $name}selected="selected"{/if} value="{$name}">{$name}</option>
-        {/foreach}
-        <!--  <option selected="selected" value="slateblue">slateblue</option> -->
+        {foreach from=$colorpackArr item=name}<option {if $options.p_colorpack == $name}selected="selected"{/if} value="{$name}">{$name}</option>{/foreach}
         </select>
         <label for="p_colorpack">{'Color Pack'|@translate}</label>
       </li>
+    </ul>      
+  </fieldset>
+  <fieldset>
+    <legend>{'General Settings - All In One Favicon'|@translate}</legend>
+    <ul>
+      <li><input id="p_favicon_ico" name="p_favicon_ico" type="text" value="{$options.p_favicon_ico}"><label for="p_favicon_ico">{'URL to your favicon.ico'|@translate}</label>
+      <li><input id="p_favicon_apple" name="p_favicon_apple" type="text" value="{$options.p_favicon_apple}"><label for="p_favicon_apple">{'URL to your Apple Touch icon (60x60)'|@translate}</label> 
+      <li><label><span class="graphicalCheckbox {if $options.p_favicon_noshine=="on"}icon-check{else}icon-check-empty{/if}">&nbsp;</span><input name="p_favicon_noshine" id="p_favicon_noshine" type="checkbox" value="on" {if $options.p_favicon_noshine=="on"}checked="checked"{/if}>{'Do not add reflective shine to Apple Touch Icon'|@translate}</label></li>
     </ul>      
   </fieldset>
Index: /extensions/greydragon/admin/css/styles.css
===================================================================
--- /extensions/greydragon/admin/css/styles.css	(revision 30899)
+++ /extensions/greydragon/admin/css/styles.css	(revision 30900)
@@ -40,13 +40,5 @@
 
 .content fieldset { position: relative; overflow: hidden; padding: 0 1em 0 1em; background: #FFF; }
-.content legend   { position: absolute; left: 0px; width: 100%; padding: 0.4em 0.8em; border-bottom: #dfdfdf 1px solid; 
-  background-image: -ms-linear-gradient(bottom, #D5E6F2 0%, #FFFFFF 40%, #FFFFFF 60%, #D5E6F2 100%);
-  background-image: -moz-linear-gradient(bottom, #D5E6F2 0%, #FFFFFF 40%, #FFFFFF 60%, #D5E6F2 100%);
-  background-image: -o-linear-gradient(bottom, #D5E6F2 0%, #FFFFFF 40%, #FFFFFF 60%, #D5E6F2 100%);
-  background-image: -webkit-gradient(linear, left bottom, left top, color-stop(0, #D5E6F2), color-stop(.4, #FFFFFF), color-stop(0.6, #FFFFFF), color-stop(1, #D5E6F2));
-  background-image: -webkit-linear-gradient(bottom, #D5E6F2 0%, #FFFFFF 40%, #FFFFFF 60%, #D5E6F2 100%);
-  background-image: linear-gradient(to top, #D5E6F2 0%, #FFFFFF 40%, #FFFFFF 60%, #D5E6F2 100%);
-  background-repeat: no-repeat;
-}
+.content legend   { position: absolute; left: 0px; width: 100%; padding: 0.4em 0.8em; background: #D5E6F2; }
 
 .content fieldset ul { margin-top: 34px; padding-left: 0; }
@@ -94,4 +86,6 @@
 #helpContent li { margin-top: 2px; margin-bottom: 2px; }
 #helpContent ul ul { margin-top: 0; list-style: square outside; padding-left: 3em; }
+#helpContent table { margin-left: 0; margin-right: 0; }
+#helpContent th { padding-right: 3em; text-align: left; }
 
 #cboxContent { background-color: #FFF; }
Index: /extensions/greydragon/admin/help.inc.tpl
===================================================================
--- /extensions/greydragon/admin/help.inc.tpl	(revision 30899)
+++ /extensions/greydragon/admin/help.inc.tpl	(revision 30900)
@@ -3,26 +3,46 @@
   <ul>
     <li><h3>{'Prerequisites'|@translate}</h3>
-      <p><b>REQUIREMENTS NEED TO BE MET FOR THE THEME TO FUNCTION PROPERLY.</b><br>
-        Please refer to information on the left.
+      <p><b>{'REQUIREMENTS NEED TO BE MET FOR THE THEME TO FUNCTION PROPERLY.'|@translate}</b><br>
+        {'Please refer to information on the left.'|@translate}
       </p></li>
+
     <li><h3>{'Suggestions'|@translate}</h3>
-      <p>Optional plugins found to be usefull in everyday usage.
-      </p></li>
+      <p>{'Optional plugins found to be usefull in everyday usage.'|@translate}</p>
+    </li>
+
     <li><h3>{'General Settings'|@translate}</h3>
-      <p>To add logo specify <b>Logo Image</b>. Recommended logo height is 80px. If you need bigger space for your logo, CSS adjustments
-        would have to be made. In addition to Logo you can specify <b>Header Text</b>.<br>
-        <b>Footer Text</b> allows adding simple text as a row in the footer below menu links and Site's credits.
-     <p>Important feature of the theme is a support for Color Packs which is managed by <b>Color Pack</b> Option. It allows changing colors, styles,
+      <p>{'To add logo specify <b>Logo Image</b>. Recommended logo height is 80px. If you need bigger space for your logo, CSS adjustments
+        would have to be made. In addition to Logo you can specify <b>Header Text</b>.'|@translate}</p>
+      <p>{'Supported macros'|@translate}:
+        <ul><li>%gallery_title% - {'Gallery title'|@translate}</li>
+        </ul>
+      </p>
+      <p>{'<b>Footer Text</b> allows adding simple text as a row in the footer below menu links and Site\'s credits.'|@translate}</p>
+      <p>{'Important feature of the theme is a support for Color Packs which is managed by <b>Color Pack</b> Option. It allows changing colors, styles,
         theme for the pages. By default theme includes 3 color packs: slateblue, blackhawk, whitehawk, but you could be easily extend the list by 
-        creating copy of one of the existing colorpack folders and then adjusting colors.
-      </p></li>
+        creating copy of one of the existing colorpack folders and then adjusting colors.'|@translate}</p>
+    </li>
+
     <li><h3>{'Advanced Options - Custom CSS'|@translate}</h3>
-      <p>This option allows fine tune Theme's styles to better suit your personal taste.</p>
-      <p>Few examples:</p>
+      <p>{'This option allows fine tune Theme\'s styles to better suit your personal taste.'|@translate}</p>
+      <p>{'Few examples:'|@translate}</p>
       <ul>
-        <li>Remove fixed width:<br>&nbsp;&nbsp;&nbsp;body { width: auto; }</li>
-        <li>Remove fixed width but keep min-width:<br>&nbsp;&nbsp;&nbsp;body { width: auto; min-width: 1270px; }</li>
-        <li>Add Thumb shadow for gdThumb: Set margin between thumbs to 10-14px. Modify shadow color to match your theme<br>&nbsp;&nbsp;&nbsp;.gdthumb { box-shadow: 6px 6px 3px #888888; }</li>
-        <li>Remove Root link in page's breadcrumbs: set $conf['level_separator'] = ''; and apply CSS<br>&nbsp;&nbsp;&nbsp;.browsePath a:first-child { display: none; }<br>&nbsp;&nbsp;&nbsp;.browsePath a:after { content: " :: "; }</li>
+        <li>{'Remove fixed width:<br>&nbsp;&nbsp;&nbsp;body { width: auto; }'|@translate}</li>
+        <li>{'Remove fixed width but keep min-width:<br>&nbsp;&nbsp;&nbsp;body { width: auto; min-width: 1270px; }'|@translate}</li>
+        <li>{'Add Thumb shadow for gdThumb: Set margin between thumbs to 10-14px. Modify shadow color to match your theme<br>&nbsp;&nbsp;&nbsp;.gdthumb { box-shadow: 6px 6px 3px #888888; }'|@translate}</li>
+        <li>{'Remove Root link in page\'s breadcrumbs: set $conf[\'level_separator\'] = \'\'; and apply CSS<br>&nbsp;&nbsp;&nbsp;.browsePath a:first-child { display: none; }<br>&nbsp;&nbsp;&nbsp;.browsePath a:after { content: " :: "; }'|@translate}</li>
       </ul></li>
+
+    <li><h3>{'Favicon Tips'|@translate}</h3>
+      <p>{'For URLs please use absolute or relative path including filename'|@translate}</p>
+      <p>{'Additional Information'|@translate}</p>
+      <table>
+        <tr><th>{'Favicon Wiki'|@translate}</th><td>{'<a href="http://en.wikipedia.org/wiki/Favicon" target="_blank">Wikipedia</a> - read more about Favicon types and sizes'|@translate}</td></tr>
+        <tr><th>{'Favicon Generator'|@translate}</th><td>{'<a href="http://www.html-kit.com/favicon/" target="_blank">HTML Kit</a> - Favicon generator'|@translate}</td></tr>
+        <tr><th>{'Favicon CC editor'|@translate}</th><td>{'<a href="http://www.favicon.cc/" target="_blank">Favicon CC</a> - Simple Favicon editor'|@translate}</td></tr>
+        <tr><th>{'Favicon validator'|@translate}</th><td>{'<a href="http://www.html-kit.com/favicon/validator" target="_blank">HTML Kit</a> - Validate Favicon for browser compatiblity'|@translate}</td></tr>
+        <tr><th>{'Apple Touch Icon HowTo'|@translate}</th><td>{'<a href="http://developer.apple.com/library/safari/#documentation/appleapplications/reference/safariwebcontent/ConfiguringWebApplications/ConfiguringWebApplications.html" target="_blank">Apple</a> - How-to on how to create a PNG to use as an Apple Touch Icon'|@translate}</td></tr>
+      </table>
+    </li>
   </ul>
+  </fieldset>
Index: /extensions/greydragon/changelog.txt
===================================================================
--- /extensions/greydragon/changelog.txt	(revision 30899)
+++ /extensions/greydragon/changelog.txt	(revision 30900)
@@ -18,4 +18,11 @@
 
 === Changelog ===
+version 1.1.20
++ ADMIN: Added support for various Favicon types including Apple Touch
++ Added versioning for Theme settings for easier maintenance
++ Localization added for Admin Help area
++ Added support for %gallery_title% in header text/page banner
+- Fixed issue with root url associated with gallery logo was not refering to the sites root properly when installed as sub-folder
+
 version 1.1.19
 + custom.css location moved to local/greydragon/ to comply with PWG guidelines. File should be automatically created when theme is updated.
@@ -93,5 +100,5 @@
 - Admin: added auto-hide for Info messages (10 seconds)
 
-version 1.0.9 - first release
+version 1.0.9 - official release
 + Admin: "Admin Tools" plugin added as recommended
 + Admin: "gdThumb" plugin added as recommended
Index: /extensions/greydragon/include/greydragon.class.php
===================================================================
--- /extensions/greydragon/include/greydragon.class.php	(revision 30899)
+++ /extensions/greydragon/include/greydragon.class.php	(revision 30900)
@@ -3,5 +3,5 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-define('GDTHEME_VERSION', '1.1.19');
+define('GDTHEME_VERSION', '1.1.20');
 
 define("QUOTES_NONE",   FALSE);
@@ -36,11 +36,17 @@
 
     return array(
+      "p_version"          => array("value" => "",       "quotes" => QUOTES_NONE),
+
       // General Settings
       "p_logo_path"        => array("value" => null,     "quotes" => QUOTES_NONE),
-      "p_favicon_path"     => array("value" => null,     "quotes" => QUOTES_NONE),
-      "p_apple_path"       => array("value" => null,     "quotes" => QUOTES_NONE),
       "p_header"           => array("value" => null,     "quotes" => QUOTES_LAZY),
       "p_footer"           => array("value" => null,     "quotes" => QUOTES_LAZY),
       "p_colorpack"        => array("value" => null,     "quotes" => QUOTES_NONE),
+
+      "p_favicon_ico"      => array("value" => null,     "quotes" => QUOTES_NONE),
+      "p_favicon_png"      => array("value" => null,     "quotes" => QUOTES_NONE),
+      "p_favicon_gif"      => array("value" => null,     "quotes" => QUOTES_NONE),
+      "p_favicon_apple"    => array("value" => null,     "quotes" => QUOTES_NONE),
+      "p_favicon_noshine"  => array("value" => "off",    "quotes" => QUOTES_NONE),
     
       // Advanced Options - General
@@ -80,4 +86,5 @@
   private function loadConfig($ver = '') {
     global $conf, $pwg_loaded_plugins;
+
     $this->themeConfigMin = unserialize($conf['greydragon']);
     $this->themeConfigMin["version"] = $ver;
@@ -88,8 +95,18 @@
 
   private function validateDefault($config) {
+
+    // Check version, perform update if necessary
+    if (!isset($config["p_version"]) || ($this->themeConfigMin["version"] !== $config["p_version"])):
+
+      if (isset($config["p_favicon_path"])):
+        $config["p_favicon_ico"] = $config["p_favicon_path"];
+        unset($config["p_favicon_path"]);
+      endif;
+    endif;
+
     $theme_default_settings = $this->getDefaults();
 
     foreach ($theme_default_settings as $key => $value):
-      if ($value["value"]):
+      if (isset($value["value"])):
         if (array_key_exists($key, $config)):
         else:
@@ -100,5 +117,4 @@
 
     // Populate some system settings
-
     $url_root = get_root_url();
     $config['U_SITE_ADMIN'] = $url_root . 'admin.php?page=';
@@ -120,5 +136,7 @@
       return $this->themeConfig;
     else:
-      return $this->themeConfigMin;
+      $config = $this->themeConfigMin;
+      $config['p_version'] = GDTHEME_VERSION;
+      return $config;
     endif;
   }
@@ -187,5 +205,6 @@
     if ((isset($_POST["p_reset"])) && ($_POST["p_reset"] == "on")):
       // Reset theme settings
-      conf_update_param('greydragon', pwg_db_real_escape_string(serialize(array())));
+      $config = array();
+      conf_update_param('greydragon', pwg_db_real_escape_string(serialize($config)));
       load_conf_from_db();
       $this->loadConfig();
@@ -216,4 +235,18 @@
     else:
       return (array_key_exists($name, $this->themeConfig));
+    endif;
+  }
+
+  public function deleteOption($name, $isGlobal = FALSE) {
+    global $conf;
+
+    if ($isGlobal):
+      if (array_key_exists($name, $conf) && isset($conf[$name])):
+        unset($conf[$name]);
+      endif;
+    else:
+      if (array_key_exists($name, $this->themeConfig)):
+        unset($this->themeConfig[$name]);
+      endif;
     endif;
   }
@@ -235,4 +268,19 @@
       endif;
     endif;
+  }
+
+  public function hasCustomFavicon() {
+    return ($this->hasOption("p_logo_path"));
+  }
+
+  public function update($old_version, $new_version) {
+    $this->prepareCustomCSS();
+  }
+
+  public function uninstall() {
+    // delete configuration
+    $this->deleteCustomCSS();
+
+    conf_delete_param('greydragon');
   }
 
@@ -290,6 +338,5 @@
   }
 
-  public function getHeader() {
-    $content = "";
+  public function getURLRoot() {
     $root_base = get_root_url();
     if ($root_base):
@@ -297,4 +344,12 @@
       $root_base = '/';
     endif;
+    return $root_base;
+  }
+
+  public function getHeader() {
+    global $conf;
+
+    $content = "";
+    $root_base = $this->getURLRoot();
 
     if ($this->hasOption('p_logo_path')):
@@ -302,8 +357,14 @@
     endif;
     if ($this->hasOption('p_header')):
-      $content .= '<a title="Home" id="g-header-text" href="' . $root_base . '">' . $this->getOption('p_header') . '</a>';
+      $p_header = $this->getOption('p_header');
     elseif ($this->hasOption('page_banner', TRUE)):
-      $content .= '<a title="Home" id="g-header-text" href="' . $root_base . '">' . $this->getOption('page_banner', TRUE) . '</a>';
-    endif;                                                                                                              
+      $p_header = $this->getOption('page_banner', TRUE);
+    else:
+      $p_header = "";
+    endif;
+    $p_header = trim(str_replace('%gallery_title%', $conf['gallery_title'], $p_header));
+    if (strlen($p_header) > 0):
+      $content .= '<a title="Home" id="g-header-text" href="{$U_HOME}">' . $p_header . '</a>';
+    endif;
 
     return $content;
Index: /extensions/greydragon/maintain.class.php
===================================================================
--- /extensions/greydragon/maintain.class.php	(revision 30899)
+++ /extensions/greydragon/maintain.class.php	(revision 30900)
@@ -6,5 +6,4 @@
 class greydragon_maintain extends PluginMaintain {
 
-  private $dir;
   private $themeCore;
 
@@ -13,5 +12,4 @@
 
     $this->themeCore = greyDragonCore::Instance(GDTHEME_VERSION);
-    $this->dir = PHPWG_ROOT_PATH . PWG_LOCAL_DIR . 'greydragon/';
   }
 
@@ -20,5 +18,5 @@
    */
   function install($plugin_version, &$errors=array()) {
-    $this->themeCore->prepareCustomCSS();
+    $this->themeCore->update("0.0", $plugin_version);
   }
 
@@ -27,5 +25,5 @@
    */
   function update($old_version, $new_version, &$errors=array()) {
-    $this->install($new_version, $errors);
+    $this->themeCore->update($old_version, $new_version);
   }
 
@@ -34,8 +32,5 @@
    */
   function uninstall() {
-    // delete configuration
-    conf_delete_param('greydragon');
-
-    $this->themeCore->deleteCustomCSS();
+    $this->themeCore->uninstall();
   }
 }
Index: /extensions/greydragon/template/header.tpl
===================================================================
--- /extensions/greydragon/template/header.tpl	(revision 30899)
+++ /extensions/greydragon/template/header.tpl	(revision 30900)
@@ -21,9 +21,11 @@
 {/if}
 <title>{if $PAGE_TITLE!=l10n('Home') && $PAGE_TITLE!=$GALLERY_TITLE}{$PAGE_TITLE} | {/if}{$GALLERY_TITLE}</title>
-{if $greydragon.p_favicon_path}
-<link rel="shortcut icon" type="image/x-icon" href="{$ROOT_URL}{$greydragon.p_favicon_path}">
-{else}
-<link rel="shortcut icon" type="image/x-icon" href="{$ROOT_URL}{$themeconf.icon_dir}/favicon.ico">
-{/if}
+{if $greydragon.p_favicon_ico}<link href="{$ROOT_URL}{$greydragon.p_favicon_ico}" rel="shortcut icon" type="image/x-icon">
+{else}<link href="{$ROOT_URL}{$themeconf.icon_dir}/favicon.ico" rel="shortcut icon" type="image/x-icon">{/if}
+{if $greydragon.p_favicon_png}<link href="{$ROOT_URL}{$greydragon.p_favicon_png}" rel="icon" type="image/png">{/if}
+{if $greydragon.p_favicon_gif}<link href="{$ROOT_URL}{$greydragon.p_favicon_gif}" rel="icon" type="image/gif">{/if}
+{if $greydragon.p_favicon_apple}{if $greydragon.p_favicon_noshine == "on"}<link href="{$ROOT_URL}{$greydragon.p_favicon_apple}" rel="apple-touch-icon-precomposed">
+{else}<link href="{$ROOT_URL}{$greydragon.p_favicon_apple}" rel="apple-touch-icon">{/if}{/if}
+
 <link rel="start" title="{'Home'|@translate}" href="{$U_HOME}" >
 <link rel="search" title="{'Search'|@translate}" href="{$ROOT_URL}search.php" >
Index: /extensions/greydragon/themeconf.inc.php
===================================================================
--- /extensions/greydragon/themeconf.inc.php	(revision 30899)
+++ /extensions/greydragon/themeconf.inc.php	(revision 30900)
@@ -2,5 +2,5 @@
 /*
 Theme Name: GreyDragon
-Version: 1.1.19
+Version: 1.1.20
 Description: GreyDragon Theme
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=775
@@ -29,5 +29,5 @@
 
   $themeCore = greyDragonCore::Instance();
-  if ($themeCore->hasOption("p_logo_path") || $themeCore->hasOption("p_header") || $themeCore->hasOption('page_banner', TRUE)):
+  if ($themeCore->hasCustomFavicon() || $themeCore->hasOption("p_header") || $themeCore->hasOption('page_banner', TRUE)):
     add_event_handler('render_page_banner', 'greydragon_render_header');
   endif;