Index: /trunk/language/hr_HR/admin.lang.php
===================================================================
--- /trunk/language/hr_HR/admin.lang.php	(revision 30905)
+++ /trunk/language/hr_HR/admin.lang.php	(revision 30906)
@@ -112,5 +112,4 @@
 $lang['Number of comments per page'] = 'Broj komentara po stranici';
 $lang['Number of rates'] = 'Broj ocjena';
-$lang['Number of thumbnails to create'] = 'broj poveznih sličica za izradu';
 $lang['Only private albums are listed'] = 'Samo osobne skupine su ispisane';
 $lang['Operating system'] = 'Operativni sustav';
@@ -190,5 +189,4 @@
 $lang['Default display'] = 'Pretpostavljeni prikaz';
 $lang['The gallery URL is not valid.'] = 'URL galerije nije valjan.';
-$lang['Main'] = 'Glavno';
 $lang['The number of comments a page must be between 5 and 50 included.'] = 'Broj komentara po stranici mora biti između 5 i 50 uključivo.';
 $lang['Configuration'] = 'Postavljanje';
@@ -219,11 +217,8 @@
 $lang['manage sub-albums'] = 'upravljanje podskupinama';
 $lang['Manage'] = 'Uprava';
-$lang['maximum height'] = 'najveća visina';
-$lang['maximum width'] = 'najveća širina';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Predviđeno vrijeme za popis korisnika za slanje poruka je ograničeno. Ostali korisnici nisu izlistani.';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'Vrijeme za slanje poruke je ograničeno. Ostale poruke su preskočene.';
 $lang['To send ?'] = 'Poslati ?';
 $lang['Last send'] = 'Zadnje poslano';
-$lang['Email'] = 'e-mail';
 $lang['User'] = 'Korisnik';
 $lang['See you soon,'] = 'Vidimo se uskoro,';
@@ -297,10 +292,5 @@
 $lang['registration date'] = 'nadnevak upisa';
 $lang['clean'] = 'čisto';
-$lang['remove remote listing.xml file'] = 'ukloni udaljeni listing.xml zapis';
-$lang['generate listing'] = 'izradi popis';
-$lang['generate file listing.xml on remote site'] = 'izradi listing.xml zapis na udaljenom mjestu';
 $lang['Create this site'] = 'Izgradi ovo mjesto';
-$lang['A local listing.xml file has been found for'] = 'Mjesni listing.xml zapis je pronađen za ';
-$lang['read local listing.xml and update'] = 'čitam mjesni listing.xml i obnavljam';
 $lang['test'] = 'proba';
 $lang['test this remote site'] = 'isprobajte ovo udaljeno mjesto';
@@ -311,10 +301,8 @@
 $lang['singly represented'] = 'jednoznačno predstavljeno';
 $lang['This site already exists'] = 'Ovo mjesto već postoji';
-$lang['Create a new site : (give its URL to create_listing_file.php)'] = 'Izradi novo mjesto : (odreite njegov URL za izradu create_listing_file.php)';
 $lang['created'] = 'izrađeno';
 $lang['delete'] = 'izbriši';
 $lang['delete this site and all its attached elements'] = 'izbriši ovo mjesto i sve njegove pridodane stavke';
 $lang['an error happened'] = 'došlo je do greške';
-$lang['file create_listing_file.php on remote site was not found'] = 'zapis create_listing_file.php na udaljenom mjestu nije pronađen';
 $lang['Local'] = 'Mjesno';
 $lang['Remote'] = 'Udaljeno';
@@ -332,21 +320,13 @@
 $lang['Group management'] = 'Upravljanje grupama';
 $lang['User list'] = 'Popis korisnika';
-$lang['Thumbnail creation'] = 'Izrada poveznij sličica';
 $lang['Database synchronization with files'] = 'Usklađivanje baze podataka sa zapisima';
 $lang['all'] = 'sve';
-$lang['photos without thumbnail (jpeg and png only)'] = 'slike bez poveznih sličica (samo jpeg i png)';
 $lang['height must be a number superior to'] = 'visina mora biti broj veći od ';
 $lang['width must be a number superior to'] = 'širina mora biti broj veći od';
 $lang['for the file format'] = 'za zapisni oblik';
-$lang['No missing thumbnail'] = 'Nema nedostajućih poveznih sličica';
 $lang['Photo unreachable or no support'] = 'Slika nedohvatna ili bez podrške';
 $lang['GD version'] = 'GD inačica';
-$lang['generated in'] = 'izrađena u';
-$lang['Results of miniaturization'] = 'ishodi umanjivanja';
 $lang['General statistics'] = 'Glavna statistika';
-$lang['max time'] = 'najveće vrijeme';
 $lang['average time'] = 'prosječno vrijeme';
-$lang['min time'] = 'najmanje vrijeme';
-$lang['number of miniaturized photos'] = 'broj umanjenih slika';
 $lang['total time'] = 'sveukupno vrijeme';
 $lang['for this file format'] = 'za ovu vrstu zapisa';
@@ -360,8 +340,4 @@
 $lang['Choose an option'] = 'Izaberite mogućnost';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'najopširniji mogući prikaz podataka (dodane skupine i stavke, izbrisane  skupine i stavke)';
-$lang['Piwigo version differs on the remote site'] = 'Piwigo inačica na udaljenom mjestu se razlikuje';
-$lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'Inačica create_listing_file.php na udaljenom mjestu i Piwigo-u mora biti jednaka';
-$lang['listing.xml file was not found'] = 'listing.xml zapis nije pronađen';
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'listing.xml zapis nije pronađen na udaljenom mjestu. Ovaj zapis se izrađuje odabirom "izradi popis" mogućnosti u Upravi mjesta';
 $lang['Error list'] = 'Greška popisa';
 $lang['Errors caption'] = 'Zaglavlja grešaka';
@@ -369,6 +345,4 @@
 $lang['File/directory read error'] = 'Greška čitanja zapisa/mape';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Zapisu ili mapi se ne može pristupiti (ne postoji ili je pristup zabranjen)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'tip slikovnog zapisa zahtjeva poveznu sličicu. Povezna sličica mora biti prisutna u podmapi "thumbnail" mape skupine. Naziv povezne sličice mora počinjati sa pretpostavljenim predznakom i nastavak mora biti jedan od popisanih :';
-$lang['missing thumbnail'] = 'nedostajuće povezne sličice';
 $lang['albums deleted in the database'] = 'skupine izbrisane iz baze podataka';
 $lang['photos deleted from the database'] = 'stavke izbrisane iz baze podataka';
@@ -415,7 +389,4 @@
 $lang['Element'] = 'Stavka';
 $lang['Section'] = 'Odjeljak';
-$lang['Save page visits by guests'] = 'Pohrani posjete stranicama po gostima';
-$lang['Save page visits by users'] = 'Pohrani posjete stranicama po korisnicima';
-$lang['Save page visits by administrators'] = 'Pohrani posjete stranicama upraviteljima';
 $lang['An information email was sent to group "%s"'] = 'Obavijesna e-mail poruka je poslana grupi "%s';
 $lang['Send an information email to group members'] = 'Pošalji obavijesni e-mail članovima grupe';
@@ -439,5 +410,4 @@
 $lang['guest'] = 'gost';
 $lang['default values'] = 'pretpostavljene vrijednosti';
-$lang['High filesize'] = 'Visoka veličina zapisa';
 $lang['Guest cannot be deleted'] = 'Gost ne može biti izbrisan';
 $lang['Default user cannot be deleted'] = 'Pretpostavljeni korisnik ne može biti izbrisan';
@@ -473,5 +443,4 @@
 $lang['Classic display'] = 'Klasični prikaz';
 $lang['Hoverbox display'] = 'Prikaz lebdećim prozorom';
-$lang['Mail address is obligatory for all users'] = 'E-mail adresa je obavezna za sve korisnike';
 $lang['Minimum privacy level'] = 'Najniža razina privatnosti';
 $lang['Privacy level'] = 'Razina privatnosti';
@@ -501,5 +470,4 @@
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Sigurno želite ugraditi ovaj dodatak? Morate ovjeriti ako ova inačica ne treba uklanjanje.';
 $lang['Plugin has been successfully copied'] = 'Dodatak je uspješno preslikan';
-$lang['You might go to plugin list to install and activate it.'] = 'Možete ići na popis dodataka za ugradbu i pokretanje.';
 $lang['Can\'t create temporary file.'] = 'Ne mogu napraviti privremeni zapis.';
 $lang['Can\'t download archive.'] = 'Ne mogu preuzeti zapis.';
@@ -633,5 +601,4 @@
 $lang['Activate Navigation Thumbnails'] = 'Uključiti navigacijske povezne sličice';
 $lang['Activate icon "%s"'] = 'Uključiti ikonu "%s"';
-$lang['Activate field "%s"'] = 'Uključiti polje "%s"';
 $lang['Photo Properties'] = 'Svojstva slika';
 $lang['Allow user customization'] = 'Dozvoliti korisničku prilagodbu';
@@ -757,6 +724,4 @@
 $lang['%s photos can not be regenerated'] = '%s fotografija nije moguće regenerirati';
 $lang['%s photos have been regenerated'] = '%s fotografija regenerirano';
-$lang['%s thumbnails can not be regenerated'] = '%s malih sličica nije moguće regenerirati';
-$lang['%s thumbnails have been regenerated'] = '%s malih sličica je generirano';
 $lang['(this tag will be deleted)'] = '(ova oznaka je izbrisana)';
 $lang['... or '] = '... ili ';
@@ -793,3 +758,37 @@
 $lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Piwigo za Android</em> je aplikacija koja vam omogućava spajanje vašeg tableta ili mobilnog telefona na vašu Piwigo galeriju. Kreirajte albume i postavite fotografije.';
 $lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>Piwigo za iOS</em> je aplikacija koja vam omogućava spajanje vašeg iPhone-a, iPada-a ili iPod Touch-a na vašu Piwigo galeriju. Kreirajte albume i postavite fotografije.';
-?>
+$lang['show details'] = 'prikaži pojedinosti';
+$lang['top left corner'] = 'gornji lijevi ugao';
+$lang['top right corner'] = 'gornji desni ugao';
+$lang['width & height'] = 'širina i visina';
+$lang['close'] = 'zatvori';
+$lang['date & time'] = 'datum i vrijeme';
+$lang['Updates'] = 'Ažuriranja';
+$lang['Upload in progress'] = 'Ažuriranje u toku';
+$lang['Watermark'] = 'Vodeni žig';
+$lang['Week starts on'] = 'Tjedan počinje od';
+$lang['Width'] = 'Širina';
+$lang['Select an album'] = 'Odaberi album';
+$lang['Piwigo for Android'] = 'Piwigo za Android';
+$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo za iOS (iPhone, iPad, iPod Touch)';
+$lang['Portrait'] = 'Portret';
+$lang['Ratio'] = 'Omjer';
+$lang['Rename'] = 'Preimenuj';
+$lang['Panorama'] = 'Panorama';
+$lang['Password updated'] = 'Lozinka ažurirana';
+$lang['List'] = 'Popis';
+$lang['Loading...'] = 'Učitavanje...';
+$lang['Minimum height'] = 'Minimalna visina';
+$lang['Minimum width'] = 'Minimalna širina';
+$lang['Height'] = 'Visina';
+$lang['Ignore this update'] = 'Ignoriraj ovo ažuriranje';
+$lang['Change password'] = 'Promijeni lozinku';
+$lang['Change username'] = 'Promijeni korisničko ime';
+$lang['Activate comments'] = 'Aktiviraj komentare';
+$lang['Activate it now'] = 'Aktiviraj sada';
+$lang['Allow users to add a link to their website'] = 'Dozvoli korisnicima dodavanje linka na njihovu web stranicu';
+$lang['Applications'] = 'Aplikacije';
+$lang['Apply watermark if height is bigger than'] = 'Ddodaj vodeni žig ako je visina veća od';
+$lang['Apply watermark if width is bigger than'] = 'Ddodaj vodeni žig ako je širina veća od';
+$lang['Basic settings'] = 'Osnovne postavke';
+$lang['Cancel'] = 'Otkaži';