Index: /extensions/AStat/language/zh_CN/plugin.lang.php
===================================================================
--- /extensions/AStat/language/zh_CN/plugin.lang.php	(revision 30906)
+++ /extensions/AStat/language/zh_CN/plugin.lang.php	(revision 30907)
@@ -21,10 +21,10 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['AStat_sortip_page'] = '页面被阅览数';
-$lang['AStat_sortip_picture'] = '图片被阅览数';
-$lang['AStat_sortcat_nbpicture'] = '每张图片平均阅览数';
-$lang['AStat_sortcat_page'] = '按页面阅览次数百分比展示';
-$lang['AStat_sortcat_picture'] = '按图片阅览次数百分比展示';
-$lang['AStat_sortimg_picture'] = '图片被阅览数';
+$lang['AStat_sortip_page'] = '页面被浏览次数';
+$lang['AStat_sortip_picture'] = '图片被浏览次数';
+$lang['AStat_sortcat_nbpicture'] = '每张图片平均浏览次数';
+$lang['AStat_sortcat_page'] = '按页面浏览次数百分比展示';
+$lang['AStat_sortcat_picture'] = '按图片浏览次数百分比展示';
+$lang['AStat_sortimg_picture'] = '图片被浏览次数';
 $lang['AStat_sortip_ip'] = '用户/IP地址';
 $lang['AStat_period_label_all'] = '所有年份';
@@ -34,5 +34,5 @@
 $lang['AStat_period_label_months'] = '月';
 $lang['AStat_period_label_years'] = '年';
-$lang['AStat_section_deleted_cat'] = '分类已删除';
+$lang['AStat_section_deleted_cat'] = '相册已删除';
 $lang['AStat_section_label'] = '区域';
 $lang['AStat_month_of_year_5'] = '五月';
@@ -41,5 +41,5 @@
 $lang['AStat_month_of_year_8'] = '八月';
 $lang['AStat_month_of_year_9'] = '九月';
-$lang['AStat_nb_total_category'] = '分类总数';
+$lang['AStat_nb_total_category'] = '相册总数';
 $lang['AStat_nb_total_image'] = '图片总数';
 $lang['AStat_nb_total_ip'] = 'IP地址总数';
@@ -47,5 +47,5 @@
 $lang['AStat_page_label'] = '页';
 $lang['AStat_pages_label'] = '页';
-$lang['AStat_enableddisabled_true'] = '过滤器启用';
+$lang['AStat_enableddisabled_true'] = '过滤器已启用';
 $lang['AStat_event'] = '事件';
 $lang['AStat_events'] = '事件';
@@ -68,19 +68,19 @@
 $lang['AStat_deleted_user'] = '删除用户';
 $lang['AStat_do_save'] = '保存';
-$lang['AStat_enableddisabled_false'] = '过滤器禁用';
-$lang['AStat_enableddisabled_invert'] = '过滤器反转';
-$lang['AStat_BarColor_Cat'] = '分类数量';
+$lang['AStat_enableddisabled_false'] = '过滤器已禁用';
+$lang['AStat_enableddisabled_invert'] = '过滤器已反转';
+$lang['AStat_BarColor_Cat'] = '相册数量';
 $lang['AStat_SortImgLabel'] = '根据...分类';
-$lang['AStat_adviser_not_authorized'] = '操作中止:顾问档案不允许此类操作';
-$lang['AStat_by_category'] = '根据分类';
+$lang['AStat_adviser_not_authorized'] = '操作中止：顾问档案不允许此类操作';
+$lang['AStat_by_category'] = '根据相册';
 $lang['AStat_by_image'] = '每张图片';
 $lang['AStat_by_ip'] = '根据IP';
-$lang['AStat_by_period'] = '根据时期';
-$lang['AStat_catfilter_list'] = '在类别上应用过滤器';
+$lang['AStat_by_period'] = '根据时段';
+$lang['AStat_catfilter_list'] = '在相册上应用过滤器';
 $lang['AStat_config'] = '设置';
 $lang['AStat_config_colors_and_graph'] = '颜色&图像设置';
-$lang['AStat_config_saved'] = '设置已保存!';
-$lang['AStat_confignotsaved'] = '出现一个错误, 设置未保存';
-$lang['AStat_PeriodPerDefault'] = '默认选择时期';
+$lang['AStat_config_saved'] = '设置已保存！';
+$lang['AStat_confignotsaved'] = '出现一个错误，设置未保存';
+$lang['AStat_PeriodPerDefault'] = '默认时段';
 $lang['AStat_PeriodPerDefault_all'] = '所有年份';
 $lang['AStat_PeriodPerDefault_day'] = '当天';
@@ -89,7 +89,7 @@
 $lang['AStat_PeriodPerDefault_year'] = '当年';
 $lang['AStat_RefIPLabel'] = '用户/IP地址';
-$lang['AStat_RefImageLabel'] = '分类/图片名';
-$lang['AStat_SeeTimeRequests'] = '显示要求的执行时间';
-$lang['AStat_ShowThumbCat'] = '显示代表分类的缩略图';
+$lang['AStat_RefImageLabel'] = '相册/图片名';
+$lang['AStat_SeeTimeRequests'] = '显示查询执行时间';
+$lang['AStat_ShowThumbCat'] = '显示相册的缩略图';
 $lang['AStat_ShowThumbImg'] = '显示图片的缩略图';
 $lang['AStat_SortCatLabel'] = '根据...分类';
@@ -112,2 +112,72 @@
 $lang['AStat_tools_deleted_category_apply'] = '更新';
 $lang['AStat_tools_deleted_picture_apply'] = '更新';
+$lang['AStat_tools_deleted_picture_nfo2'] = '事件历史记录中的所有图片均存在，无需进行操作。';
+$lang['AStat_tools_deleted_category_nfo1'] = '事件的历史记录中有 %s 个不存在的相册，影响了 %s 个事件：<ul>%s</ul>';
+$lang['AStat_tools_deleted_picture_nfo1'] = '事件历史记录中的 %s 张未知图片Id影响了 %s 个事件：<ul>%s</ul>';
+$lang['AStat_tools_deleted_user_nfo1'] = '事件历史记录中的 %s 个未知用户ID影响了 %s 个事件：<ul>%s</ul>';
+$lang['AStat_tools_deleted_user_nfo2'] = '事件历史记录中的所有用户ID均存在，无需进行操作。';
+$lang['AStat_tools_general_nfo_nfo'] = '<ul><li>历史记录中展示了 %s 个事件</li>
+            <li>Table weights %s (Table: %s ; Index: %s)</li>
+            <li>第一个事件的日期：%s</li>
+            <li>最后一个事件的日期：%s</li>';
+$lang['AStat_tools_purge_history_categoryid0'] = '清除与已删除相册关联的事件（历史记录中有 %s 个事件）';
+$lang['AStat_tools_purge_history_imageid0'] = '清除所有与已删除图片关联的事件（历史记录中有 %s 个事件）';
+$lang['AStat_tools_purge_history_ipid0'] = '清除与黑名单中的IP关联的事件（黑名单中有 %s 项，历史记录中有 %s 个事件）';
+$lang['AStat_tools_deleted_user_nfo0'] = '本操作This function strength <i> guest </ i> the ID of a user that generated an event in history and whose account has been deleted since.';
+$lang['AStat_tools_deleted_picture_nfo_nb'] = '（%s 图片Id无法与 %s 历史记录中的事件关联）';
+$lang['AStat_tools_deleted_picture_ok0'] = '数据库表的准备工作完成，您可在服务器上执行文件的重组织';
+$lang['AStat_tools_deleted_picture_ok1'] = '事件历史记录重新关联成功';
+$lang['AStat_tools_deleted_picture_prepare_action'] = '同步<u>之前</u>：准备<i>AStat</i>';
+$lang['AStat_tools_deleted_user'] = '更新用户信息历史记录';
+$lang['AStat_tools_deleted_user_apply'] = '更新';
+$lang['AStat_tools_general_nfo'] = '历史记录的基本信息';
+$lang['AStat_tools_invalid_date'] = '给定日期无效！';
+$lang['AStat_tools_invalid_date2'] = '给定日期晚于或等于当前日期！';
+$lang['AStat_tools_purge_history'] = '正在清空历史记录';
+$lang['AStat_tools_purge_history_apply'] = '清空';
+$lang['AStat_tools_deleted_picture_error1'] = '事件历史记录重新关联失败';
+$lang['AStat_tools_deleted_picture_nfo0'] = '事件历史记录受与之关联的不存在的图片的影响，<i>图片 [Id #0] 在数据库中已不存在</i>';
+$lang['AStat_tools_result_ko'] = '发生了一项错误。操作未被正确执行。';
+$lang['AStat_tools_result_ok'] = '操作已正确执行。';
+$lang['AStat_tools_title'] = '维护工具';
+$lang['AStat_version'] = '版本';
+$lang['AStat_yesno_false'] = '否';
+$lang['AStat_yesno_true'] = '是';
+$lang['CATEGORY_LABEL'] = '相册';
+$lang['Categories_seen'] = '相册浏览次数';
+$lang['IP_label'] = 'IP地址';
+$lang['IP_visit'] = 'IP地址';
+$lang['Pictures_seen'] = '图片浏览次数';
+$lang['pct_Pages_seen'] = '% 页';
+$lang['pct_Pictures_seen'] = '% 张图片';
+$lang['ratio_Pictures_seen'] = '图片浏览次数';
+$lang['AStat_tools_purge_history_date'] = '清除所有过去的事件';
+$lang['AStat_tools_purge_history_nfo'] = '本操作将从一个给定的日期开始清空所有之前的事件历史记录，并将优化数据库表。<br><b>操作是不可逆的</b>。';
+$lang['AStat_tools_deleted_category_nfo2'] = '所有相册均在事件的历史记录中存在。无需进行操作。';
+$lang['AStat_tools_deleted_picture'] = '以图片信息更新历史记录';
+$lang['AStat_tools_deleted_picture_do'] = '执行操作';
+$lang['AStat_tools_deleted_picture_do_action'] = '在执行同步<u>之后</u>：重新关联新图片ID到事件的历史记录';
+$lang['AStat_tools_deleted_picture_error0'] = '准备失败';
+$lang['AStat_tools_deleted_category_nfo0'] = '分配的事件在历史记录中不再存在。<i>已删除的相册</ i>。';
+$lang['AStat_time_request_label'] = '查询执行时间';
+$lang['AStat_specific_category_config'] = '相册的特定统计设置';
+$lang['AStat_specific_image_config'] = '图片的特定统计设置';
+$lang['AStat_specific_ip_config'] = 'IP的特定统计设置';
+$lang['AStat_specific_period_config'] = '时段的特定统计设置';
+$lang['AStat_title_page'] = '高级统计';
+$lang['AStat_tools_deleted_category'] = '在历史记录中更新相册';
+$lang['AStat_Nfo_Category'] = '在选定时段，显示相册被浏览页面和图片数量的百分比，以及每张图片的平均被浏览次数';
+$lang['AStat_section_old_deleted_cat'] = '旧相册无法导入';
+$lang['AStat_section_additional_page'] = '插件 <a href="http://phpwebgallery.net/ext/extension_view.php?eid=153">Additional pages</a>';
+$lang['AStat_section_most_commented'] = '插件 <a href="http://phpwebgallery.net/ext/extension_view.php?eid=145">Most Commented</a>';
+$lang['AStat_section_unknown'] = '未知 [%s]';
+$lang['AStat_section_web_services'] = '插件 <a href="http://phpwebgallery.net/ext/extension_view.php?eid=171">Web services statistics</a>';
+$lang['AStat_sortimg_catname'] = '字母顺序 - 相册 / 图片名称';
+$lang['AStat_date_time_format'] = '年/日/月 时:分:秒';
+$lang['AStat_gpc2_not_installed'] = '安装 AStat 需要插件 \'Grum Plugins Classes 2\' (发布 >= %s)';
+$lang['AStat_config_title'] = 'AStat 设置';
+$lang['AStat_Nfo_Period'] = '在选定时段，显示页面及图片的被浏览次数，以及唯一IP地址的连接次数';
+$lang['AStat_Nfo_Image'] = '在选定时段，显示每张图片的被浏览次数，及其占所有图片被浏览次数的百分比';
+$lang['AStat_Nfo_IP'] = '在选定时段，显示某IP地址浏览的页面数和图片数';
+$lang['AStat_MouseOverColor'] = '在线溢出';
+$lang['AStat_IP_geolocalisation'] = '地理定位';