Index: /trunk/language/bg_BG/install.lang.php
===================================================================
--- /trunk/language/bg_BG/install.lang.php	(revision 30913)
+++ /trunk/language/bg_BG/install.lang.php	(revision 30914)
@@ -22,46 +22,46 @@
 // +-----------------------------------------------------------------------+
 
-$lang['also given by your host provider'] = 'също предоставена от доставчика на услугата';
+$lang['also given by your host provider'] = 'също предоставена от вашия хостинг доставчик';
 $lang['Basic configuration'] = 'Основно конфигуриране';
 $lang['Database configuration'] = 'Конфигуриране на базата данни';
 $lang['Database name'] = 'Име на базата данни';
-$lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'имената на таблиците в базата данни, ще имат тази представка ( това Ви дава възможност да управлявате таблиците по-добре)';
+$lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'имената на таблиците в базата данни ще имат тази представка (това ви дава възможност да управлявате таблиците по-добре)';
 $lang['Default gallery language'] = 'Език по подразбиране за галерията';
-$lang['Don\'t hesitate to consult our forums for any help : %s'] = 'Не се колебайте да се консултира в нашите форуми за всяка помощ:%s';
+$lang['Don\'t hesitate to consult our forums for any help : %s'] = 'Не се колебайте да се консултирате в нашите форуми за помощ: %s';
 $lang['Download the config file'] = 'Изтегляне на конфигурационния файл';
 $lang['enter a login for webmaster'] = 'въведете потребителско име за уебмастер';
 $lang['Installation'] = 'Инсталиране';
-$lang['Just another Piwigo gallery'] = 'Още една  Piwigo фотогалерия';
-$lang['Keep it confidential, it enables you to access administration panel'] = 'Пазете я в тайна, тя Ви дава достъп до административния панел';
+$lang['Just another Piwigo gallery'] = 'Още една Piwigo галерия';
+$lang['Keep it confidential, it enables you to access administration panel'] = 'Пазете я в тайна, тя ви дава достъп до административния панел';
 $lang['Password [confirm]'] = 'Парола [потвърждаване]';
 $lang['please enter your password again'] = 'моля, въведете паролата още веднъж';
 $lang['User'] = 'Потребител';
 $lang['verification'] = 'проверка';
-$lang['webmaster login can\'t contain characters \' or "'] = 'потребителското име за уебмастера, не може да съдържа символите\' или "';
-$lang['Welcome to my photo gallery'] = 'Здравейте и добре дошли в моята фотогалерия';
-$lang['Welcome to your new installation of Piwigo!'] = 'Здравейте и добре дошли във вашата нова Piwigo инсталация! ';
-$lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Вие можете да изтеглите конфигурационния файл и да го качите в директорията  local/config на вашата инсталация';
-$lang['PHP 5 is required'] = 'Изисква се инсталиран PHP 5.2';
+$lang['webmaster login can\'t contain characters \' or "'] = 'потребителското име не може да съдържа символите \' или "';
+$lang['Welcome to my photo gallery'] = 'Добре дошли в моята фотогалерия';
+$lang['Welcome to your new installation of Piwigo!'] = 'Добре дошли във вашата нова Piwigo инсталация! ';
+$lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Вие можете да изтеглите конфигурационния файл и да го качите в директория  local/config на вашата инсталация';
+$lang['PHP 5 is required'] = 'Изисква се PHP 5.2';
 $lang['Start Install'] = 'Стартиране на инсталацията';
-$lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo не успя да конфигурира PHP5';
-$lang['Admin configuration'] = 'Администратор настройки';
+$lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo не успя да конфигурира PHP 5.2';
+$lang['Admin configuration'] = 'Администраторски настройки';
 $lang['Congratulations, Piwigo installation is completed'] = 'Поздравления, Piwigo е инсталиран успешно';
-$lang['Database table prefix'] = 'Префикс на базата с данни';
+$lang['Database table prefix'] = 'Префикс на таблиците';
 $lang['Hope to see you back soon.'] = 'Надяваме се да се видим скоро';
-$lang['Host'] = 'Доставчик';
+$lang['Host'] = 'Хост';
 $lang['Sorry!'] = 'Съжаляваме!';
-$lang['Try to configure PHP 5'] = 'Опитайте да настройте PHP 5.2';
-$lang['user login given by your host provider'] = 'потребителско име за достъп до вашия доставчик';
-$lang['user password given by your host provider'] = 'парола за достъп до вашия доставчик';
-$lang['Visitors will be able to contact site administrator with this mail'] = 'Потребителите ще могат да използват този имейл за контакт с Администратора на сайта';
+$lang['Try to configure PHP 5'] = 'Опит за настройка PHP 5.2';
+$lang['user login given by your host provider'] = 'потребителско име предоставено от вашия хост доставчик';
+$lang['user password given by your host provider'] = 'парола за достъп предоставена от вашия хост доставчик';
+$lang['Visitors will be able to contact site administrator with this mail'] = 'Потребителите ще могат да използват този имейл за контакт с администратора на сайта';
 $lang['Can\'t connect to server'] = 'Невъзможен достъп до сървъра';
 $lang['Connection to server succeed, but it was impossible to connect to database'] = 'Връзката със сървъра е успешна, но достъпа до базата данни е невъзможен';
 $lang['It will be shown to the visitors. It is necessary for website administration'] = 'Това ще е видимо от потребителите. Необходимо е за администриране на сайта';
 $lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Нужна ви е помощ? Задайте вашият въпрос в <a href="%s">Piwigo борда за съобщения</a>.';
-$lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Вие може да промените конфигурацията и сами и да рестартирате Piwigo след това.';
-$lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'Алтернативно решение е да копирате текста от кутията горе и да го добавите ръчно във файла "local/config/database.inc.php" (ВНИМАНИЕ: database.inc.php трябва да съдържа само това от текстовото поле, без празни знаци)';
+$lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Вие може да промените конфигурацията сами и да рестартирате Piwigo след това.';
+$lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'Алтернативно решение е да копирате текста от карето отгоре и да го добавите ръчно във файла "local/config/database.inc.php" (Внимание: database.inc.php трябва да съдържа само това от текстовото поле, без празни знаци или край на ред)';
 $lang['Creation of config file local/config/database.inc.php failed.'] = 'Създаването на конфигурационен файл local/config/database.inc.php е неуспещно.';
-$lang['It appears your webhost is currently running PHP %s.'] = 'Изглежда вашият уеб хост се изпълнява в PHP %s';
-$lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Piwigo може да се опита да превключите вашата конфигурация на PHP 5.2 като създаде или промени .htaccess файла.';
-$lang['You may referer to your hosting provider\'s support and see how you could switch to PHP 5 by yourself.'] = 'Обърнете се към вашия хостинг доставчик и вижте как можете да преминете към PHP 5.2 самостоятелно.';
-$lang['localhost or other, supplied by your host provider'] = 'localhost или друг, предоставен от вашият хост провайдер';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Изглежда вашият уеб хост се изпълнява с PHP %s';
+$lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Piwigo може да се опита да превключите вашата конфигурация към PHP 5.2 като създаде или промени .htaccess файла.';
+$lang['You may referer to your hosting provider\'s support and see how you could switch to PHP 5 by yourself.'] = 'Обърнете се към вашия хостинг доставчик и вижте как можете да преминете към PHP 5.2.';
+$lang['localhost or other, supplied by your host provider'] = 'localhost или друг, предоставен от вашият хост доставчик';